Overview

TreeSize Professional 5 - Overview

 Home Next

TreeSize Professional 5 is a powerful and flexible hard disk space manager for Windows 2000/XP/2003/Vista. TreeSize Professional 5 will help you to find out which folders are the largest dissipaters on your drives and to recover megabytes of disk space.

TreeSize Professional 5 shows you

· the size,
· allocated space
· wasted space,
· the number of files,
· 3D bar and pie charts,
· the last access date,
· the file owner,
· the NTFS compression rate

and much more information for several folders or drives you choose. TreeSize Professional 5 offers a search for old, big or temporary files as well as the facility to delete these files or to compress and archive them. The application has an intuitive Explorer-like user interface, it is fast, multithreaded, and supports Unicode and scheduled scans. You can print detailed reports, and the Professional Edition can export the collected data to Excel and to an HTML, XML or ASCII file. TreeSize Professional 5 can be started from the context menu of every folder or drive.

For every button and menu item, a short description is displayed in the status bar. Pressing the F1 key will open the context sensitive help.


Installation

 Home Previous Next

To install TreeSize Professional 5, execute the setup file and follow the instructions. The setup program will copy the necessary files to your hard disk and will create a new program group in the Start Menu. TreeSize Professional 5 may be uninstalled using the Software applet in the Control Panel of Windows. The password needed for installing the registered version is printed on the disk label and is also available online in our customer's area.


Quickstart

1. On this toolbar the user can select which drive or path should be scanned. Press the button with the arrow on the right to start scanning. TreeSize Professional 5 here remembers the last paths that have been used.
2. Here the user can get an overview of the currently scanned drive. This and the other toolbars can be turned off in their context menu.
3. The "Chart" page shows a pie or bar chart of the currently selected directory. Use the context to show a toolbar with advanced charting features.
4. The "Details" tab shows detailed information about the sub-folders and the files inside the currently selected folder.
5. The "Extensions" tab shows the size information grouped by file types. That way you will get an overview what file types take up most of the space.
6. The "Users" tab shows the size information grouped by user names. This allows you to see which users use most of the disk space.
7. The "File Ages" tab shows when folders have been created.
8. The Top 100 files lists the 100 largest files in the scanned directory tree.
9. The file system tree of the scanned folder or drive gives you an immediate overview of the size of each folder.
10. The drive panel provides an overview of all local and mapped network drives. Additional network drives can be added using the context menu. Double click on a drive to start a scan in TreeSize Professional 5.
11. The status bar informs you about the allocated and free space of the current drive, the file system type, etc.

12. The "History" tab shows, how scan results of a special directory branch have changed through time. This feature allows a dynamic analysis of the patterns of utilization over a longer period of time.


What's new?

Changes in V5.1.2 (21 Jul 2008)

· All lists now provide a new button in their toolbar that allows to save their contents to an Excel file.
· Added possibility to export the tree map and the file ages chart in the "Schedule TreeSize Task" dialog.
Here a new function "Save to Batch File" has also been added to the context menu of the text field containing the full command line.
· Retrieving the file version of EXE, DLL and similar binary files no longer changes their last access date.
· The context sensitive help via F1 key now also works correctly under Windows Vista.
· File Search: It is now possible to search for files whose path is longer than a certain number of characters.
This allows to find paths longer than 255 characters which make problems e.g. in the Windows Explorer.
· File Search: A selected "Since" interval on the "Date" tab of the Custom File Search is now saved for the next start and to XML files (File > Save Search Options). Previously it was only saved implicitly as lower and upper border of the date interval.
· Bugfix: The "Since" date intervals were not working as expected if the negated date filter "Not Changed", "Not Access" or "Not Created" were selected.
· Bugfix: The date picker controls of the Custom File Search did not always report the state of their integrated checkbox correctly. This could lead to files missing in the search results.

Changes in V5.1.1 (10 Apr 2008)

· TreeSize is now able to handle paths with more than 255 characters when searching or scanning the disk.
· TreeSize now applies NTFS compression and removes it from files that are marked as readonly.
· The compatibility with 64Bit systems has been improved.
· The treemap chart is drawn much faster now for large file system trees.
· File Search: When saving a result list, now the visibility and order of the columns is taken into account.
· File Search: When performing a move operation with the option "Create Shortcut ..." activated, now a description is added to each shortcut that contains the destination path, the responsible user and the date of the move operation.
· A few minor improvements and bug fixes have been incorporated

Changes in V5.1 (04 Mar 2008)

· Many improvements for the new tree map:
- If a folder has no subfolders and file extensions statistics was activated during the scan, the file types are now shown as subitems in the tree map.
- Some graphical changes result in an improved appearance of the hierarchy.
- A legend for the colors has been added.
- It is now possible to zoom and scroll the chart in order to see more details.
· Improvements in multithreading makes scans up to two times faster.
· The Explorer context menu is now available as a submenu in the charts and the root folder of a scan.
· When exporting the data to a file, the save dialog now has a checkbox that lets you decide whether or not the file should be opened after saving.
· When saving the extensions statistics to a text file, you now have a checkbox in the save dialog that allows you to save the expanded groups only, just as you see it on the screen.
· The users and extensions statistics now allow to select multiple items, which is useful if you want to export / print them partially only.
· The context sensitive help has been improved. Pressing F1 should now always lead to the correct chapter in the help file.
· A new column has been added that shows the error message if a folder could not be scanned. This is useful in particular for scheduled scan that export their results to an Excel, HTML or Text File (Professional Edition only)
· If the Mixed Mode for sizes is turned on, the charts will now also use an appropriate size unit for displaying size values.
· It is now possible to delete single values from the history chart using the right click menu.
· Some other minor bug fixes and improvements have been incorporated.

File Search:

· Added new columns to the result lists that show the attributes of the files, the version number of binary files, the permissions and the creation date. Some of the new columns are by default turned off and can be turned on using the "View" menu.
· The "Move To" dialog of the File Search now has an option to create shortcuts for moved files at their original location that point to their new location.
· Added possibility to search for files with NTFS alternate data streams in the custom file search (tab "Attributes"). If this search is active and alternate data streams are found, their sizes are added to the file size and in the column "Attributes" a " * " is added to the attributes. Checking for alternate data streams is slow and requires read access to the files that should be checked.

Changes in V5.0 (23 Nov 2007)

· It is now possible to group scans under a virtual root folder. This virtual root folder shows a summary of all scans that are part of this group. This way you can merge different scans together e.g. for printing or exporting. You can access this feature through the context menu of a root folder or through the "Tools" menu.
· A new kind of chart called treemap has been added. It shows a hierarchical view of the file system. In this treemap chart each folder is shown as a rectangle with its subfolders inside, again as rectangles.
· The list on the "Extensions" tab can now be grouped by file types like "Audio Files", "Video Files", "System Files", etc. This feature can be turned on or off by a new toolbar button.
· The tabs "Extensions", "Users" and "File Ages" now have a feature "List Files" that generates a list of files of the selected item.
· The selected items in the various file and directory lists of TreeSize now show the selection using a style similar to Windows Vista. This makes colored text and the small embedded charts easier to read.
· The TreeSize column for the Windows Explorer is now also supported on 64Bit systems. The .NET Framework 2.0 is required on 64Bit systems for the column to work. Unfortunately a Microsoft employee confirmed that such an additional Explorer column won't be possible under Windows Vista.
· The number of decimals can now be set in the View menu instead of the "Options" dialog.
· The gradient colors of the optional indicator bars in the tree can now be chosen in the "Options" dialog.
· In the Options dialog you can now change the maximum number of threads that TreeSize Professional 5 creates for each scan. Like before TreeSize Professional 5 will still adjust the number of threads to the current system load and so often create less threads than the maximum number.
· In the Options it is now possible to customize the intervals that are used to generate the chart on the "File Ages" tab.
· TreeSize Professional 5 has a new option that allows taking hard links and alternate data streams into account when calculating disk space, which produces more accurate results. However this makes it necessary to open the files and therefore slows down a scan.
· The "View" menu now allows switching to plain Byte values.
· The Excel, Text and HTML export options now allow to specify whether or not units like "KB", "MB" or "%" should be added to exported values. By omitting units the thousands separators will also be omitted, which simplifies further processing of exported values. This replaces the former option File / Export / Use plain numbers.
· The command line options /FILEAGESCHART and /HISTORYCHART have been added. They allow to save the charts on the "History" and the "File Ages" chart.
· The new command line option /TOPFILESLIST allows exporting the top 100 files list.
· The columns of the "Copy list of files" feature are now determined by the settings for the "Text Export" in the "Options" dialog of TreeSize
· The executable has been renamed to "TreeSize.exe".
· The support for Windows 98 and ME has been dropped. Registered customers are still able to download the Windows 98/ME compatible TreeSize V4 from our customers area.
· New application icon.

File Search:

· An additional search type "Custom Search" has been added. This search type allows you to freely define and combine search criteria like file name, date, size, attributes and owner. The results can be printed or exported like you are used from the other available search types.
· Now entire servers, entire domains or even your entire network can be searched. TreeSize automatically browses for PCs and all shares on them (including hidden shares) and performs the search on all shares that it finds.
· Improved multithreading support, especially for the MD5 checksum calculation, which should produce results faster on multi-core machines.
· It is now possible to export and import the results as simple paths only (DIR /B /S format). This simplifies post-processing of TreeSize results and allows to import lists of paths in TreeSize.
· It is now possible to pass an XML file to the TreeSize File Search on the command line, which contains previously saved search options. This simplifies scheduled scans with predefined search options.
· The Move operation now optionally logs the performed operations to a log file.
· The result lists do now work as a source for drag and drop operations.
· A new feature "Check all but Newest" has been added to the context menu of the duplicate file search results.
· A new feature in the context menu of the duplicate file search allows to replace duplicate files with hard links. This way all the duplicate files remain at their position, but only one file occupies disk space.

Changes in V4.3.2:

· On 64Bit Windows systems TreeSize now turns off file system redirection for its threads. The file system redirection hides some system folders in the Windows directory from 32Bit processes.
· Bugfix: The TreeSize File Search Option "Exclude files that have changed in the past XX hours" did not consider the local time zone.
· Bugfix: The Duplicate File Search with MD5 checksums did not include readonly files.

Changes in V4.3.1:

· If the "Go to Parent Folder" button is hit and the currently selected folder is the top node but not a drive, TreeSize now asks if it should scan the parent folder.
· Bugfix: Some of the initial values in Tools - Options - Columns/Export were wrong.
· File Search: The "Save Result" function now asks if it should overwrite an existing file, or append to it.
· File Search: The "Save List" feature now creates Unicode text files.
· File Search: For the duplicate file search the comparison of the content of large files with and without MD5 checksum has been improved.
· Bugfix: The TreeSize File Search of the Personal edition did not restore the selected paths on the next start
· Some minor improvements have been incorporated.

Changes in V4.3:

· A simple history function has been added to TreeSize. Whenever a path is scanned, TreeSize saves the size of this path (but not their subpaths) and displays the size development of this path or drive in a chart on the new "History" tab.
· XML Compare: You can now also compare two different directory structures. If the paths do not match, you will be asked if you want to proceed.
· File Search: The duplicate file search now optionally compares files based on the MD5 checksum of their content. This makes it possible to find true duplicate files that differ in their name or last change date. The drawback is that the calculation of the MD5 checksum takes longer than the comparison of name, date and size.
· File Search: The right click menu of a file group in the result list of "Duplicate Files" now offers the possibility to compare the files of a group byte by byte and remove those that are not equal.
· File Search: All Options on the "View Options" tab have been moved to the new "View" menu. So these options are available on all tabs now, without the need of changing to the old "View Options" tab.
· File Search: For each item a long tooltip is now shown that contains detailed information on the file.
· File Search: For folders matching $NTUninstall*$, that are listed by default in temporary file search, their folder size is shown now.
· File Search: These items have been added to the main menu: Tools / Empty Recycle Bin, Help / FAQ, Help / Check for Update, Help / About.
· File Search: A new option allows to include cookies with the Temporary Internet Files.
· File Search: When files are moved, their path is new prefixed with their drive letter. This makes it easier to restore the moved files again, if multiple drives have been searched.
· Bugfix: The File Search sometimes mixed up file paths when moving files.
· Bugfix: Fixed error that occurred under Windows Vista when someone logged into an existing session using Remote Desktop with TreeSize already on the screen.

Changes in V4.2.2:

· Bugfix: When displaying the results in the TreeSize File Search, occasionally an error message occurred.

Changes in V4.2.1:

· Bugfix: Sometimes a non critical error occurred when a folder was deleted using the right click menu.
· File Search: A check box was added to the Duplicate Files search that allows to control whether or not the exclude filter should be used.
· File Search: The exclude filter now accepts the wildcards '*' and '?'.
· Bugfix: The Duplicate Files Search, did sometimes leave out some duplicate files. Other duplicate files were split into two groups because their time stamps were slightly different.
· XML import: The error handling and user aborting within the XML import has been improved.
· Some other minor bug fixes and improvements have been incorporated.

Changes in V4.2:

· In the Options dialog (Tools / Options / Scan) you may now choose the priority for the scan and search threads. You may reduce their priority up to idle (use only unused CPU time), which allows you to run a scan with TreeSize without any impact on your PC or server.
· The toolbar of the Top 100 Files List now contains a Delete button.
· The style sheet treesize.xsl for XML files has been revised:
- It now works under Windows Vista with Internet Explorer 7.
- Formatting and performance have been improved.
- Errors that occurred during the scan are now indicated by a small exclamation mark in front of the folder name.
· If the option "Follow mount points and symbolic links" is turned on, then TreeSize follows only links that point outside the scanned directory tree. This prevents circular references and folders from being counted twice. The link target is now also shown in the long tooltip of the directory tree.
· In the background of the directory tree a gradient now is shown for each folder that indicates its size in relation to the entire scanned file system tree. We hope you will like this new visualization of the folder size. If not, you may switch it off in the Options dialog.
· The context menu of the file extensions and user statistics now have a menu item that allows to copy a list of files of the selected file type / user to the clipboard.
· The user statistics now use a caching mechanism which significantly increases the performance of a scan with the users statistics activated and also reduces the traffic to the Windows domain controllers.
· The new command line option /UNITTYPE allows to set the unit (KB, MB, GB) that should be used for displaying size values. For detailed information please see the help file.
· The small arrow indicating symbolic links and reparse points is now also shown in the Details list. System and hidden folders are now shown "ghosted" like in the Windows Explorer.
· The TreeSize File Search can now be started from the context menu of any folder in the directory tree.
· File Search: A new search type allows you to search for duplicate files. Currently files with the same name, size and change date will be listed. This feature will be further improved in the next release.
· File Search: It is now possible to save and load the options of the File Search to/from an XML file.
· File Search: The cache files of the Opera browser are now also found by the search type "Internet Files".
· File Search: The temporary file search now has an option that lists all files in the "Recent" folder of the user profile. This option is turned on by default. Although Windows shows only the last 15 entries in the "Recent Documents" folder, it keeps shortcuts to all files ever opened in the "Recent" folder which are quite useless.
· File Search: The size and the number of checked files is now displayed in the status bar.
· File Search: The Save dialog now has an option to save all result lists (instead of the active one only), as well as an option to save the checked files only.
· File Search: The new command line option /MOVETO replaces /MOVETOZIP and allows, in addition to a ZIP file, a folder path or the Recycle Bin as destination to which the files will be moved. For detailed information please see the help file.
· File Search: If "Add To Exclude List" is selected from the context menu, all matching search results are now immediately removed from the result lists.
· File Search: In the View Options a new setting allows to adjust, if the compressed size or the normal size should be displayed for compressed files.
· The support for Windows NT4 has been dropped.

Changes in V4.1.1:

· The menu item "Remove from TreeSize (temporarily)" is now also present in the context menu of the Details list, which allows multiple items to be removed at the same time.
· Errors that occurred during a scan are now saved in the XML-Reports for each folder.
· If the selected node is deleted in the directory tree, the next or parent folder is now selected automatically.
· A new option on the "View" tab of the Options dialog allows you to decide that icons should be determined based on the file extension only. This is much faster, especially on network drives, because Window opens many files to see if there are any icons inside. By default this option is turned on.
· The "File Ages" Chart can now be printed, copied or saved using the context menu or a new toolbar.
· Under Windows Vista an additional start menu item is created that runs TreeSize as administrator.
· A new item in the Tools menu allows you to start TreeSize again as Administrator under Windows XP and Vista.
· The File Search now uses the setting of the Options dialog "Follow mount points and symbolic links" from the main module when recursing through the file system. It is recommended to keep this option turned off under Windows Vista, because Vista makes excessive use of symbolic links, which produces a lot of duplicate results.
· The command line Switch /SEARCH:Start now by default checks all items in the result list of the File Search.
· Some other minor bug fixes and improvements have been incorporated.

Changes in V4.1:

· Multithreaded scanning has been improved which makes especially network scans up to two times faster.
· A new tab "File Ages" has been added to the right pane. It shows the distribution of the file ages for each directory.
· The Extensions, Users and Top 100 lists as well as the result list of the File Search now have a right click menu for their column headers which allows to show or hide individual columns. Columns can be rearranged using drag&drop. These settings are saved when TreeSize is closed and are restored on the next start.
· The list of file types on the tab "Extensions" now fills up faster.
· The Details tab now also has a toolbar. It can be turned off using the Toolbar submenu in the View menu.
· Folders that could not be scanned due to an error are now shown with a small exclamation mark in the directory tree. The error message is added to the tooltip of this folder.
· A new option allows to decide if date and time should be shown for the last access, last modified and the creation date, or only the date.
· The Tools menu now has a menu item that opens the configuration dialog for the Windows System Restore. The Windows System Restore by default uses 10-15% of every hard disk drive. A good source for freeing disk space is the reduction of this space reserved for the System Restore.
· The unit and the decimals of the TreeSize column for the Windows Explorer can now be configured in the Options of TreeSize Pro on the new tab "Shell Extensions". Furthermore the Explorer extension can now be fully turned off here.
· The context menu item "Find deepest nesting" is now not only available in the context menu of the root folder but also in the context menu of the sub-folders.
· The drive panel now uses a different color to show the free space as the Details view uses in the column "% of Parent".
· It is now possible to copy the content of the drive panel to the clipboard in a CSV-compatible format.
· TreeSize is now compatible with Windows Vista. The Vista Explorer however lacks the interface for extending it with additional columns, so the TreeSize column is currently not available for the Windows Vista Explorer.
· File Search: The right-click menu now allows applying the NTFS compression to the selected files in a result list.
· File Search: The visibility of columns in the result lists can now be adjusted on the View Options tab.
· File Search: Compressed files are now shown in a different color, just like in the main application. For compressed files, their compressed size is now shown instead of the uncompressed size.
· File Search: The result list of the temporary file search now shows the reason why a file or folder was added to the list (e.g. the matching pattern, because it is a link with an invalid target etc.)
· File Search: Drives removed from the drive list window now stay excluded when the application is started the next time.
· Bugfix: The selected item of the tree in the main windows was not always drawn correctly.
· Bugfix: The File search module sometimes overwrote settings of the main module if both modules were running and the File Search module was terminated after the main module.
· Bugfix: Removing a currently scanned folder temporarily from TreeSize occasionally resulted in an error.

Changes in V4.0.2:

· The Scan Include and Exclude patterns (View > Options > Include/Exclude) are now also Unicode enabled.
· Bugfix: Loading XML Reports that contained foreign language characters occasionally caused errors.
· Bugfix: A combination of the two command line parameters /OPEN and /EXCEL did only open the XML file, but did not start the Excel export.
· Bugfix: Double clicking on a file in the chart now opens the file also in a folder with no sub-folders.
· Several minor bug fixes and improvements have been incorporated.

Changes in V4.0.1:

· Bugfix: Adding an UNC Path to the list of drives in the TreeSize File Search failed with an error messages.
· Bugfix: Toggling the sort order for the first column in the extensions and users list didn't work.
· Bugfix: Opening certain XML reports failed with an error due to an internal overflow.
· Some minor bugfixes and improvements have been incorporated.

Changes in V4.0:

· TreeSize now scans a file system branch with multiple threads. The number of threads that are used is adjusted automatically dependant on the system load. Because of the latency of hard disks and network drives, this new feature drastically reduces the time necessary for scanning a file system branch.
· In the new dialog "Schedule Tasks" (Tools / Schedule Tasks) you can now add customized TreeSize Tasks to the Windows Scheduled Tasks.
· The XML import, export and compare have been improved. All XML operations are much faster now and use considerably less memory. The size of the XML-files has been reduced as well.
· The tree control was replaced with a faster one, which increases the performance of a scan and expand operations in the file system tree.
· The tree now shows large hint windows that include detailed information about each node. This feature can be turned in the Options.
· Most parts of TreeSize are now Unicode enabled under Windows NT/2000/XP/2003. Windows 98/ME are still supported, but with limited Unicode capabilities.
· The Options dialog now has a check box, that let's you decide, whether or not TreeSize should appear in the Explorer context menu of Folders for the current user.
· A new drive list box in the bottom left corner provides a quick information about the size and the free space of the local drives. Additional remote drives can be added using the context menu. Double clicking on a file starts a scan in TreeSize.
· The top 100 largest files of the scanned path are now shown on an additional tab on the right pane.
· Added support for file system Drag&Drop operations in the main window of TreeSize.
· The HTML export is now UTF8-encoded and exports Unicode folder names correctly.
· The extensions statistics now shows the Windows description and the corresponding icon for each file type.
· In the Options you can now define what TreeSize should do when it starts without a path to scan. It may scan a list of fix paths, it may scan the paths that were active the last time it was used, or it may simply do nothing, which is the default behaviour.
· Two new columns have been added that show the MS Office author and the MS Office last change date. These values get extracted from all MS Office files.
· The context menu of the tree now allows to create a new folder. The shortcut for this operation is Ctrl+N.
· All percent values do now have a bar chart beneath them that indicates the percent value.
· It is now possible to compress and decompress files and entire folders with NTFS compression using the context menu of TreeSize. The values inside TreeSize will be updated on-the-fly.
· A style sheet can now be used with exported HTML files. The style sheet file can be specified under View / Options / Export / HTML.
· The width of the columns in the printed reports can now be adjusted under View / Options / Columns / Printed Report.
· A scan that has been opened and compared through command line options, can now again be exported through a command line option like /XML or /EXCEL.
· A new menu item in the Help menu allows to check, if a newer version of TreeSize is available.
· Several minor improvements have been added as well.

File Search:

· The TreeSize File Search now uses multiple threads per drive which reduces the time that is needed for scanning a drive.
· The list controls have been replaced with faster ones, which reduces the time needed during the scan as well as the time needed for move operations especially for a large number of results.
· The selected items in a list can now be copied to the clipboard using the context menu.
· The TreeSize File search does now fully support Unicode file and folder names. The speed and reliability of the "Move To" feature has been significantly improved.
· The Move-To-Zip feature and the "Save Results" button now have a progress indicator.
· The querying of the file owners can now be turned off in the View Options if not needed. Querying the file owner is a slow operation under Windows.


Tips & Annotations

· Especially scans of larger network drives may take a long time. With the Professional Edition you may perform such scans overnight using Scheduled Scans and save the results to a XML file which can be loaded again later.
· The last access date is the day when a file was used the last time; e.g. when a program was executed, a DLL was loaded or a bitmap was shown the last time. So if a file has not been accessed for a long time, it may probably not be needed on your system. This is a great possibility to recognize and remove unused files from your Windows and System directory.
· Use the TreeSize File Search to find obsolete files on your hard drives.
· In the main windows TreeSize Professional 5 supports drag&drop file system operations.
· All folders that are visible in the directory tree on the left will also appear in the printed report or the exported file. Alternatively, you can set in the Options of TreeSize Professional 5 to always print or export all folders of the current directory tree.
· The "Filter" and "User defined cluster size" settings in the Options are not saved in order to avoid wrong values when using TreeSize Professional 5 the next time.
· You can use the CD-ROM view to determine how much space a directory tree would occupy on a CD or DVD with ISO file system.
· In the Recycled Folder you will not see the same file names as in the Explorer. This is necessary to get the size and the last access date of these files.
· You can scan all shared drives in a domain by entering the domain name in the drive combo box.
· TreeSize Professional 5 ships with an XSLT file that formats the data inside the XML file for output in a browser that supports XSLT processing (e.g. Firefox >V1.0 or Internet Explorer >V5.5).
· For continuous analyzing of disk usage on large servers we recommend our product SpaceObServer. It collects the data using a background system service and stores it in a SQL database. It uses less RAM than TreeSize Professional 5, and the reporting capabilities are more flexible because it is built on a database. More information is available at http://www.jam-software.com/spaceobserver/


TreeSize Column for Explorer

TreeSize Professional 5 now ships with a shell extension that adds an additional column to the Windows Explorer. It shows the size not only for files but also for folders. This feature is intended for a quick overview. The new column can be activated using "Choose Columns/Details" in the "View" menu of the Windows Explorer or through the context menu of the column headers of the Windows Explorer. If you would like to enable this column in the Windows Explorer for all folders, then you have to configure this in the "Folder Options" of the Windows Explorer using the button "Apply to All Folders". This column requires Windows 2000 or XP and can be configured or fully turned off in the Options dialog. On 64Bit Windows systems, the .Net framework 2.0 or higher is required.

Unfortunately it is not possible to provide such an extension for the Explorer of Windows Vista, because Microsoft has removed the used interface from this version of Windows. Microsoft has officially confirmed that a similar extension of the Explorer is not possible under Windows Vista.


Wasted Space

The wasted space is the amount of space in clusters on your hard disk that are not entirely filled. Keep the following formula in mind: size + wasted space = allocated space. Windows 9x with its file system FAT32 may have very large cluster sizes, depending on the partition size.

FAT32
Partition Size | Default Cluster Size
01 - 08 GB | 4 KB
08 - 16 GB | 8 KB
16 - 32 GB | 16 KB
>32 GB | 32 KB

If you have for example a single FAT32 partition on a 32GB hard disk, you have a cluster size of 32KB on it. If you store 10 files of 1 KB on this partition, this would use 10*32KB=320KB of your hard disk space, and 320KB - 10KB = 310KB would be wasted. Especially a huge number of small files significantly increases the amount of wasted space on FAT partitions.

To reduce the wasted space, there are the following possibilities:

· Avoid using the FAT32 file system on partitions larger than 16GB.
· Windows 2000 and later versions provide the possibility to format your hard disk with the NTFS file system. It usually operates with 512 - 4096 Byte clusters and has the best storage efficiency of all Windows file systems. Furthermore NTFS is able to compress selected directory branches. NTFS partitions cannot be accessed from Windows 9x or DOS without use of 3rd party software.


Notes on NTFS

The file system NTFS can be used with the operating system Windows NT or later. It offers some special features which also have effects for TreeSize Professional 5. We will describe some of these features and their impacts on this software in the following paragraphs.

Access Control Lists

A user under Windows NT or later is able to restrict the way other users can access his files and folders. He can grant or deny other users or groups certain rights like reading, writing, executing or deleting files. That way a user may even deny the administrator to access his files and folders. If an administrator tries to access a folder in the Windows Explorer to which the owner denied any other users reading access, an "Access Denied" error message will be displayed. However, TreeSize Professional 5 is able to scan such folders, if you are logged in as administrator or as a user that has the right to perform backups (This option can be changed at "Control Panel" / "Administrative Tools" / "Local Security Policy" under Windows 2000 and with the user editor of Windows).

File Based Compression

NTFS supports compression on an individual file basis. Files that are compressed on an NTFS volume can be read and written without first being decompressed by another program. Decompression happens automatically during the reading of the file. The file is compressed again when it is closed or explicitly saved.

The space occupied by a compressed file is usually much smaller than its normal size. As a consequence, for folders that are partially or completely compressed, the allocated space reported by TreeSize Professional 5 may be smaller than the size reported for this folder. TreeSize Professional 5 is able to show the compression ratio in an extra column on the "Details" tab. Additionally it can show compressed files and folders in a different color. These features can be turned on in the Options dialog.

TreeSize Professional 5 is able to compress and decompress entire file system branches using the context menu.

The NTFS version that comes with Windows 2000 supports an additional concept that is similar to compressed files: sparse files. Files which are large but only partially used are called sparse files. Because the operating system does not allocate disk space for the unused parts of a sparse file, it occupies less disk space than its actual size is. TreeSize Professional 5 treats sparse files like compressed files and also calculates the compression ratio for them.

Reparse Points: Volume Mount Points and Symbolic Links

Since Windows 2000 NTFS supports volume mount points and symbolic links. A volume mount point is an existing path where you "mount" another volume. Given this, users and applications can refer to the mounted volume by that path. It allows you to unify disparate file systems into one logical file system. Symbolic links work similar: If you for example have an empty folder "C:\Documents\Images", you can create a symbolic link to "E:\Pics" in it. Applications will then see the content of "E:\Pics" in "C:\Documents\Images".

If the Option "Follow Mount Points and Symbolic Links" is turned on, TreeSize Professional 5 will include the contents of these folders when scanning. Since they are not physically stored on the drive you are scanning, this may produce irritating results.

Alternate Data Streams (ADS)

In NTFS, a file consists of different data streams. One stream holds the security information (access rights and such things), another one holds the "real data" you expect to be in a file. There may be alternate data streams, holding data the same way the standard data stream does. These alternate data streams are hidden. That means that you can have a file with 1 byte in the official main data stream and some hundred MB in one or more alternate data streams. The dir command, file managers or windows explorer will show 1 byte as the size of this file, but it actually allocates more space on your hard drive.

TreeSize Professional 5 can detect alternate data streams and add their sizes to the allocated file size.
Note: ADS stores information in the same cluster as the main data stream, so if a file has one or more ADS, this file does not necessarily allocate more disk space.

You can choose to detect alternate data streams, to get a more accurate allocated space of directory branches, in the Options Dialog.You can search for Files containing alternate data streams using the Custom File Search of TreeSize Professional 5.

Hard Links

In a Windows environment a hard link is a reference, or pointer, to physical data on a NTFS storage volume. All named files are hard links. The name associated with the file is simply a label that refers the operating system to the actual data. On NTFS volumes more than one name can be associated with the same data. Though called by different names, any changes made will affect the actual data, regardless of how the file is called at a later time. Hard links can only refer to data that exists on the same file system. The data is accessible as long as at least one link that points to it exists. When the last link is removed, the space is considered free.

If more than one hard link points to a file's data, the space allocated by these files is just one time the file size (not including the space of the file master table), no matter how many hard links exists TreeSize Professional 5 is able to detect the number of hard links pointing to one file data and takes that value into account when calculating the allocated space of directory branches.

You can choose to detect hard links, to get a more accurate allocated space of directory branches, in the Options Dialog.


Printing

TreeSize Professional 5 has flexible printing functions:

You may print a detailed report by selecting "Print Report..." from the "File" menu or by pressing the print button in the toolbar. The report will show the directory structure of the current folder including directory lines and the information you have chosen in the Options. There you can also decide if the whole directory tree should be printed, or just those parts that are expanded in the TreeSize Professional 5 window. This way you are able to choose the folders that will be included in the printed report.

If the "Details" tab is active in the right pane of the TreeSize Professional 5 main window, you can print the contents of the folder which is currently selected by using "Print Folder Contents..." from the "File" menu. You will see all files and direct sub-folders in the printout, including the icons and the other information. If you want a listing of all files in the scanned folder or drive, you can copy a list of all files to the clipboard and paste it into your favorite spreadsheet or word processor by selecting "Export List of Files" from the "File" menu (not supported in the Personal Edition). If the "Chart View" is active in the right pane of the TreeSize Professional 5 window, you can print the current chart by selecting "Print Chart" from the "File" menu.

You can use the "Page Setup" dialog to adjust the margins for printing. Use the "Print Setup" dialog to choose a printer. Both dialogs can be accessed from the "File" menu.


FAQ

FAQ - Index

· General / Registration

· Main Program

· Printing / Export

· File Search


General / Registration

FAQ - General / Registration

Q: Which operating system does TreeSize Professional 5 run on? What are the system requirements?
A: Currently the following operating systems are supported: Windows 2000 Professional, Windows 2000 Server, Windows XP, Windows 2003 Server, Windows Vista, Windows Server 2008 in both their 32 Bit and 64 Bit editions. The operating system should have installed the latest patches and at least Internet Explorer 6. There are no additional system requirements.
Q: Does the setup copy any files to the Windows directory?
A: No, all files of TreeSize Professional 5 are copied to the selected installation path. The main executable file is even able to run without installation.

Q: Does TreeSize Professional 5 support Unicode?

A: Yes, nearly all parts of TreeSize Professional 5 are Unicode enabled. An exception is the chart component which currently does not yet support Unicode characters.

Q: How can I order TreeSize Professional 5? What does ... cost?
A: For questions regarding prices please have a look at our price list and our ordering FAQ.
Q: What is the difference between the Professional and the Personal Edition?
A: The Personal Edition has the same features as the Professional Edition, except that it does not support network drives, Windows Server systems, command line options and data export.
Q: What is the difference between the evaluation copy and the full version? Will there be additional features?
A: The evaluation copy allows you to test the software before you buy it. The maximum time to do this is 21 days. Further usage of the software after this period is not permitted and violates the law. In order to allow our customers to fully test our software products, our evaluation versions usually do not contain significant limitations. But the software may remember you from time to time that you should purchase the software after your testing is finished.
Q: I just purchased your product. How can I now activate my trial version?
A: You have to download the full version of the software from our customer's area at http://www.jam-software.com/customers/. The login data can be found in the e-mail or in the printed license which you have received after the purchase. In case that you do not have your login data any more, you can request them to be sent to the e-mail address that you have used for purchasing the software.
Q: Why don't you use activation codes that turn the trial version into a full version?
A: We do not work with activation codes because you can find them very easily on the internet. We are working with separate trial and full versions. After purchasing our software, customers receive the download address for the full version and a password which is needed for installation. You should keep both in a safe place. Installing the full version over the trial version will preserver your existing data and settings.
Q: How do I upgrade to the latest version?
A: In the "Help" menu you can use "Check for update" to check online if there are updates available. Within your maintenance you can download the latest version of TreeSize Professional 5 from our customer's area. The login details for our customer's area have been emailed to you after the purchase ad are printed on the license document. To upgrade older versions just run the installation file. Your user settings will still be available after the upgrade.
Q: Although I have purchased the full version of your software product, it still shows "UNREGISTERED" in the window title. Why?
A: There are 3 possible reasons why "UNREGISTERED" still shows up:
1. You did not download and install the full version from our customer's area
2. You have accidentally installed the trial version again. (Have you been asked for a password?)
3. You have installed the full version to a different folder than the trial version which is now still on your disk.


Main Program

FAQ - Main Program

Q: Are there any limitations on the amount of data that TreeSize Professional 5 can query at one time?
A: There are no explicit limitations in what TreeSize Professional 5 is able to scan. The more folders and files the file system tree you wan to scan has, the more free memory will be necessary to store the queried data. You can reduce the memory consumption by turning off the user statistics, the file extensions statistics and/or file age statistics in the Options dialog.
Q: Why is the allocated space that Windows shows in the properties dialog of the drive larger than the allocated space that TreeSize Professional 5 reports.
A: The Windows Explorer shows the space that is physically allocated on the drive while TreeSize Professional 5 shows the space that is occupied by all files under a certain path. Please make sure that you have the view option "Allocated Space" activated when you are interested in the physically allocated space. Beyond the space that is needed for storing the files itself, additional space is used for storing management data like the File Allocation Table of the file system or the boot sector. It is not possible to free this space with TreeSize Professional 5 or any other tool. This is usually 0.5 - 2% of the occupied space. Another possibility is that you are using a Software RAID - like Windows offers it - which spreads the data with redundancy over several disks. These disks will appear as one logical volume and the failure of a single disk will not cause any data loss. But for storing the redundant information additional space is needed.
If a drive letter points to a sub-folder of a network drive, the allocated space (correctly) reported by TreeSize Professional 5 may also be much smaller than the physically allocated space on this drive reported by the Windows Explorer because possibly the whole drive is not accessible through the network. A further possibility is that not all parts of the drive could be scanned due to access restrictions. Turning on the Option "Track NTFS Alternate Data Streams and NTFS Hard Links" in the Options dialog may result to more accurate results but slightly slows down scans.
Q: Why do all files on my disk have the same last access date which is not far in the past?
A: Windows updates the last access date of a file each time when an application accesses or reads a file. Many backup and virus tools access every file on your hard disk regularly without restoring the prior last access date.
Q: Why doesn't TreeSize Professional 5 include my disk into its calculation, which is mapped to a directory using the Disk Manager of Windows?
A: By changing the option "Follow mount points and symbolic links" in the Options of TreeSize Professional 5, you can control if mount points and symbolic links should be followed or if they should be excluded from the calculations.
Q: Scanning a server disk via network is very slow. Is it possible to speed up this process?
A: Scanning a drive via network is normally much slower than scanning a local disk because the speed of the network is much lower than the speed of your hard disk. Additionally, server drives are usually much bigger and contain more files than local hard disks. But you can use the Command Line Options to perform your scans overnight. Network drives and command line options are supported by the Professional Edition only.
For continuous analyzing of disk usage on large servers we recommend our product SpaceObServer. It collects the data using a background system service and stores it in a SQL database. It uses less RAM than TreeSize Professional 5, and the reporting capabilities are more flexible because it is built on a database. More information is available at http://www.jam-software.com/spaceobserver/
Q: Is it possible to have the program ignore folders that are less than a certain size when displaying them in the tree?
A: In the context menu of the topmost folder you may choose to remove folders below a certain size. To achieve this, right-click on the topmost icon (or use the "Expand" submenu of the "Branch" menu), select "Expand" and then "Remove Folder <XX MB".
Q: Is it possible to add the free space to the bar chart?
A: The free space is added to the pie chart if TreeSize Professional 5 is in the "Allocated Space" mode and the root of the scanned drive is selected. In other situations (e.g. if a sub-folder is selected or the "Wasted Space" mode is active), it doesn't make sense to add the free space because the relationship between the free space and the other values displayed is wrong.
Q: Can I scan network drives and hidden shares like" \\Server\C$" without connecting them to a drive letter?
A: Yes, in the Professional Edition you can use UNC names like "\\SERVERNAME\Share" to access a network drive by entering them in the drive combo box on the top of the main window. You can also use UNC names on the command line.
Q: I would like to save a set of drives and folders that are scanned each time I start TreeSize Professional 5. How can I do that?
A: You can specify the startup behaviour of TreeSize Professional 5 in the Options dialog. Or you can simply create a shortcut to treesize.exe on your desktop or Start Menu and add those drives and folders to the command line, separated with a space character. See chapter "Owner" for more detailed information.
Q: How can I limit a scan to just one user's files?
A: Please make sure that the option "Group by user" is activated in the Options of TreeSize Professional 5. After the scan is finished please right-click on this user on the "Users" tab and choose "Limit to this user" from the context menu.
Q: On a Novell Netware volume, TreeSize Professional 5 reports compressed files as uncompressed and the user names are missing in the Owner columns. Why?
A: Unfortunately the Netware client for Windows does not support information about compression and file owners through standard Windows API functions. So developers have to integrate special support for Netware in their applications. We may address this issue in a later version of TreeSize Professional 5, but so far we do not actively support Netware. All other parts of TreeSize Professional 5 work fine with Netware volumes.
Q: Is it possible to perform a silent installation of this software?
A: Starting the setup with the command line parameters /SILENT /PASSWORD=YourInstallPassword will perform a silent and automatic installation with the default settings. Please replace YourInstallPassword with the installation password that you received after your registration. Using /VERYSILENT instead of /SILENT will prevent any visual feedback. The option /DIR="x:\dirname" can be used to override the default install path.
Q: Is it possible to search for file extensions with TreeSize Professional 5?
A: You can for example apply a filter for a scan in the Options by adding patterns like *.bmp to the edit field. A second possibility is to enable the "Group by Extension" feature in the Options. This will provide a detailed statistics for the file types in each sub-tree and you will be able to limit the values in the directory tree to one file type. A third possibility is to use the Temporary File Search of the File Search module by adding your custom extensions on the "Temporary files" tab after pressing the "Configure" button. Our new product SpaceObServer has extended and more flexible reporting features if needed.
Q: The wasted space shown by TreeSize Professional 5 is extremely high. How can I reduce the wasted space?
A: Most likely you are using the FAT32 file system which usually produces a lot of wasted space due to its large cluster size. Please read the chapter "Wasted Space" in the help file to understand what wasted space is and to learn how to reduce it.
Q: The folder "System Volume Information" in the root of my drive uses a lot of disk space. What is the purpose of this folder?
A: This folder is part of the Windows System Restore. You shouldn't delete any files in this folder manually. Its size can be reduced by changing the appropriate setting in the System applet of the Windows Control Panel. Windows Vista only allows to turn off the System Restore here. The space used by this service can only be reduced using the Windows command line utility vssadmin.
Q: When I run TreeSize Professional 5 on one of our PCs, a blue-screen occurs / the PC reboots. Why?
A: A normal Windows application like TreeSize Professional 5 cannot cause a blue-screen or a hard reboot, only device drives and central parts of the operating system can cause this. Most likely something with this system is not OK and TreeSize Professional 5 just triggers the real cause for the problem. This can happen because TreeSize Professional 5 accesses parts of the harddisk that are not accessed during normal operation or because of the additional load that a TreeSize Professional 5 scan puts on the machine.

Q: Can TreeSize Professional 5 be installed on a cluster?

A: Yes, TreeSize Professional 5 can be installed on a cluster. It is not cluster aware, but does not need to be. If you obtain a license for each server and install TreeSize Professional 5 on all machines of the cluster, then you will have TreeSize Professional 5 available at any time on any server of the cluster.

Q: Are there any known problems when using TreeSize Professional 5 on a Citrix server?

A: TreeSize Professional 5 runs in a Citrix environment. But on startup of TreeSize Professional 5 it is may not be visible on the taskbar. If you minimize the application, you can't find it no more. This is a common problem of Citrix server. You can fix it by adding the following keys to your registry:
[HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Citrix\wf shell\TWI]
"DllName"="seamls20.dll"
"NotifyEvent"="WfshellTwiNotify"
"SeamlessFlags"=dword:00000040

[HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Citrix\wf shell\TWI\TMainForm.UnicodeClass]
"ClassName"="TMainForm.UnicodeClass"
"Type"=dword:00000041


Printing / Export

FAQ - Printing / Export

Q: How can I specify the columns that should be included in the printed report / exported Excel file?
A: Under "View" / "Options" / "Columns" you may choose the included columns after selecting one of the export options in the pull down box on top of the window.
Q: I would like to print an entire list of contents of my hard disk including the files. Why does TreeSize Professional 5 not support this?
A: A normal Windows 2000 installation itself already has 6000 - 8000 files in the Windows directory. Just printing this directory would produce 90 - 130 pages and printing a whole drive would produce many more pages. Therefore TreeSize Professional 5 only supports printing the contents of the currently selected folder. The Professional Edition of TreeSize Professional 5 allows you additionally to export a complete list of all files of the scanned drive or folder to the clipboard which then allows further processing of the list like inserting it in a database or a spreadsheet.
Q: How can I generate a list of files that belong to a certain user?
A: Please make sure in the Options of the "Scan" tab that statistical data for the users is collected. Scan the folder and wait for its completion. Go to the "Users" tab in the right pane, right-click on a user and select "Limit on this user". Then right-click on the root of the scanned directory and choose "Export" / "Copy List of Files" which may take a while. Then paste the file list e.g. to a spreadsheet.
Q: Why does TreeSize Professional 5 Professional not export the file names to my Excel / HTML / Text file?
A: The export functions of TreeSize Professional 5 Professional were mainly designed to export information about folders and their size. However, you can copy a complete list of files to the clipboard using the context menu of any folder in the tree. You may also try our freeware command line utility FileList which was designed to generate simple file lists without the overhead of a GUI application.
Q: All prints on my Brother laser-printer appear mirror-inverted. How can this be corrected?
A: Please open your "Control Panel" and select "Printers". Now right-click on your Brother printer and select "Properties". In the Properties dialogue click on "Advanced". Here you will find a selection for the print processor (modprint, brprint, winprint). Please choose winprint and try to print again.


File Search

FAQ - File Search

Q: How can I search for files of the type XYZ?
A: The Windows file search already does this job in a quite good manner. TreeSize Professional 5 has been created with a focus on cleaning up and finding obsolete files. However there are of course possibilities to find certain file types. You can e.g. activate only the search for Temporary Files, deactivate all search patterns and add patterns for the file type(s) you are interested in. Another possibility: Set a filter in the Options dialog of the main application. Then TreeSize Professional 5 will only include matching files when calculating the folder sizes. The results will provide a good overview of the distribution of these file type(s) and can be exported to a text file using the context menu. Our product SpaceObServer, which keeps the data of watched file system trees in an SQL database, has faster and more flexible search and report features.
Q: Is it possible to check several or all files in the File Search window at one time instead of checking them individually?
A: You may select several files using a left mouse click while holding the <Shift>- or <Ctrl>-key down. You may also press <Ctrl+A> to select all files in the list. Using "Check" from the context menu then checks all currently selected files. Some successive files can also be easily checked by pressing the space bar several times. The space bar checks the currently focused file and advances to the next file in the list.
Q: Which files can I safely delete?
A: Unfortunately there is no short and easy answer to this question because usually one cannot know where a file came from and what it is used for. Generally temporary files and cache files of the internet browsers can nearly always be deleted safely. Besides deleting files, the file search of TreeSize Professional 5 offers you to move files to a different drive or to a compressed ZIP file which can then be archived. That way files that are still needed can be easily restored.
Q: Does TreeSize Professional 5 have the capability to delete files in specified directories over a certain age and if so, can this be scheduled?

A: TreeSize Professional 5 can search, report and delete files over a certain age using the file search. For security reasons we have designed the deleting operation to be not scriptable - with the exception of the possibility to move the files, which is available through a command line option (Professional Edition only).

Q: Does TreeSize Professional 5 support paths with more than 255 characters when searching files?
A: Yes.


Windows & Tabs

· Toolbars

· File System Tree

· Drive Panel

· Chart

· Details

· Extensions

· Users

· File Ages

· Top 100 Files

· History


Toolbars

Directly beneath the menu bar you'll find three toolbars showing icons for fast access to frequently used functions. Every single toolbar may be turned on or off in the context menu (right-click on the toolbar).

Toolbar "Scan"

The first toolbar "Scan" includes on the left side a pull down box with drives. Here you can determine which drive should be scanned. TreeSize Professional 5 saves those paths that were last used in the pull down box for faster access.

Next to this box you'll find various icons for scanning of folders and drives.

Starts the scanning process. Scans the drive or folder selected in the pull-down box on the left

Lets you select a folder for scanning

Lets you scan the whole folder again

Turns on/off the automatic updating based on news from the Windows Shell

Remove this folder from scanning by TreeSize Professional 5

Prints a report for the active folder

Move to the parent of the currently selected folder.

Change settings for viewing and folder scan

Opens the "Software" dialog from the Windows System Control

Shows the window for file search (see File Search)

Toolbar "Data"

The second toolbar "Data" includes icons for the viewing of collected data.

Opens up the folder tree up to a certain level

Shows folder size

Shows how much disk space a folder requires

Shows how many percent of the superordinated folder each folder takes

Shows space, wasted by the file system

Shows how much space a folder would need on a CD-ROM

Shows the number of files in a folder

Sorts elements alphabetically

Sorts elements according to their size

Shows elements without sorting

Shows values in kilobytes

Shows values in megabytes

Shows values in gigabytes

Uses an adequate unit of measurement according to the size of the elements

Shows a pie chart for the active folder

Shows a bar chart for the active folder

Shows all information for sub-folders

Toolbar "Overview"

The third toolbar "Overview" shows you the active drive as well as its usage and seizure.


File System Tree

The file system tree of the drive or folder scanned by TreeSize Professional 5 can be viewed in the left column. It gives you a quick overview of the size of each folder. You may use this tree just like a folder tree in Windows Explorer. If you place your mouse cursor on a folder you'll be shown an elaborate tooltip with detailed information.

With "Branch" / "Update" you may update this window; with "Branch" / "Expand" you can determine until which level the tree should show sub-folders. Try the menu bar and the context menu (right-click on a folder) in order to use more functions (see Context Menu)


Drive Panel

The drive panel shows the local drives and connected network drives. More network drives many be added by using the context menu (Professional edition only).

You can see the size of the drive as well as free disk space. Double-clicking starts a scan of the selected drive.


Chart

TreeSize Professional 5 is able to visualize folder sizes as pie charts, bar charts or tree maps. A chart always shows the size of the sub-folders of the currently selected folder. A pie chart shows the size, allocated space, wasted space etc. depending on what kind of view the user selected in the toolbar. The bar chart shows the size, allocated and wasted space together in one chart because: branch size + wasted space = allocated space. If a bar chart doesn't fit in the window, a scrollbar is displayed on the right side, which allows scrolling in the chart.

In the pie chart, small folders may be summarized in a slice named "Other". If a root of a drive is displayed in a pie chart and you have switched to the "Allocated Space" mode, the free space of this drive will also be displayed as one slice of the pie. There is an option in the right click menu of the pie chart to turn this behaviour on or off.

Clicking on a slice or bar shows detailed information about the corresponding folder, double clicking will change into the selected folder. Under "View" / "Toolbars" or in the context menu of the chart the chart toolbar can be turned on or off. It allows you to manipulate the charts in several ways, for example zooming, turning on or off the grid lines, switching between 2D and 3D mode, changing colors, etc. Using this toolbar, you can also copy the current chart to the clipboard or save it as a file. The color of a chart element can be changed by selecting the appropriate color in the color pull-down menu and then clicking on the chart that you would like to change.

Choose "Print Chart" from the "File" menu to print a chart. A chart will be printed exactly as you see it on the screen.


Tree Map

The Tree Map is a hierarchical chart that is able to visualize the sizes of each subfolder (not only direct child folders) of a selected directory branch.

Each folder is shown as a rectangle. The area of the rectangle represents the size of the corresponding folder. The rectangles of subfolders are located inside the rectangle of their parent folder. If a folder has no subfolders and file extensions statistics was activated during the scan, the file types are now shown as subitems.

The color of the rectangle face indicates the directory level. The colors range from dark red (top level directories) to bright yellow (directories with a deep file system level). The shown rectangles must have a minimum size to be displayed. You can customize this minimum value using a track bar in the tool bar of the 'Charts' tab. If this value is too small the chart will be too complex and confusing.
If you place the mouse cursor over the chart, you will see a tooltip containing information about the directory below the cursor. Double clicking on one of the rectangles will navigate to the corresponding directory in the directory tree.

You can use the same export functions as with the bar or pie chart (see Charts).


Details

The tab "Details" lists detailed information for sub-folders and files of the selected drive or folder.

You'll see a list of all elements in the selected folder. For each element many details are shown, such as size, space usage, wasted space, number of elements, share in super-ordinate folder in percent and the date of last access and last change.

By right-clicking the mouse in the table's head, you may toggle on/off different columns.


Extensions

The tab "Extensions" shows information on size grouped by file types. Thus you'll have an overview of the types of files that use up most of the disk space. Use the toolbar "Data" in order to select specific information for view and the sorting of data. By clicking on the corresponding icons at the upper part of the tab you may also save the file type list in a file, print it, copy it or view a chart on the same tab as well. The statistics on file extensions can be activated and deactivated in the Options dialog.

In the toolbar are these buttons:

Filter Button | Filter the file system tree so that only the sizes for the selected file extension are shown.
Filter Off Button | Turns off the filter again.
List Files Button | Shows a list of all files of the selected file type.
Copy Button | Copies the contents of the list to the clipboard. If multiple Items are selected, only the selected items will be copied.
Save Button | Saves the contents of the list to a text file. If multiple items are selected, only the selected items will be saved.
Print Button | Prints the contents of the list. If multiple items are selected, only the selected items will be printed.
Small Chart Button | Shows/Hides a small bar chart below the list.
File Type Groups | Using this button the file types can be grouped together into groups like "Audio Files", "Video Files" or "System Files".


Users

The tab "Users" shows information on size grouped by users. At a glance you may inspect which user uses how much space in which folder. By using the icons in the upper part of the tab you can save this list in a file, print or copy it or view a chart on the same tab as well. User that do not own files in the currently selected file system branch will not be listed. The statistics on file owners can be activated and deactivated in the Options dialog.

In the toolbar are these buttons:

Filter Button | Filter the file system tree so that only the sizes for the selected user are shown.
Filter Off Button | Turns off the filter again.
List Files Button | Shows a list of all files of the selected user.
Copy Button | Copies the contents of the list to the clipboard. If multiple Items are selected, only the selected items will be copied.
Save Button | Saves the contents of the list to a text file. If multiple items are selected, only the selected items will be saved.
Print Button | Prints the contents of the list. If multiple items are selected, only the selected items will be printed.
Small Chart Button | Shows/Hides a small bar chart below the list.


File Ages

The tab "File Ages" shows the distribution of the age of scanned files. Basis for ascertaining the file age is the date of last change. Values for the specified period do not include the other, younger periods.
The toolbar offers export features equal to the "Charts" tab and allows you to customize the intervals. The boundaries of the intervals are always rounded to full days, that means to 00:00 a.m.


Top 100 Files

The tab "Top 100" lists the 100 biggest files in the scanned branch together with some details. By using the tool buttons in the upper part of the tab you may save this list to a file, print it or copy it.


History

In the "History" tab you can see line charts visualizing the size development of the selected root folder. After each scan the total size of the root folder is stored automatically in an XML file in users profile of the logged in user. These sizes are used to create this view. So the shown interval and frequent depends on the scans you have done for this root before.

If you are interested in the size development of subfolders in the scanned file system tree, we recommend using our disk space manager SpaceObServer, which archives file system information in a database and is able to track size development down to file level.

The History toolbar includes the options to copy, save and print the shown graph.


Options

This Options dialog of TreeSize Professional 5 can be opened using the appropriate menu item in the "View" menu. It allows you to change the view and scan options and consists of the following tabs:

· View
· Scan
· Include / Exclude
· Columns
· Startup
· Shell Extensions
· File Ages


View Tab

Options Dialog - View Tab

Determine Icons based on File Extension onl | If this option is turned on, then TreeSize Professional 5 uses the default icon for files based on the file extension only. This is much faster, especially on network drives, because Windows opens many file types in order to see if there are any icons inside. By default, this option is turned on.
Different Colors for Compressed Files and Folders | If this option is turned on, compressed files on an NTFS volume are shown in a blue color. Folders that are partially compressed will have a dark blue color, files and folders that are entirely compressed will show up in a light blue color. For more information on file based compression see Notes on NTFS.
Show Long Tooltips in the Tree | If this option is active a tool tip window with detailed information will be shown if the mouse cursor pauses over a folder for a while. This is useful if you want to take a look at some detail information of a folder without switching to the "Details" tab.
Show Gradient Bars in Directory Tree | If this option is active, below a folder in the directory tree now a gradient bar is shown that indicates the size of the folder in relation to the entire scanned file system tree.
Show Time with Date Values | This option allows you to decide if time values should be shown with the last access, last modified and the creation date.
Automatically Update Right Pane During Scanning | If this option is turned on the right pane of the main window will be updated from time to time. This allows you for example to watch the bars of a chart growing while scanning large drives. Use the drag bar to set the interval of the updates.
Number of Folders in the Recently Used list | Adjust the number of recently scanned folders that TreeSize Professional 5 should remember for quick access in the the pull-down box in the toolbar.
Bold Factor | If the size of a folder is greater than the set percentage or absolute value of the complete size of the scanned folder, the folder label will be shown bold. This allows you to quickly find the largest folders. If you don't want bold folder labels, choose "100%". You can apply these settings for printed reports as well by using the check box below.


Scan Tab

Options Dialog - Scan Tab

The settings on this page affect the behaviour of TreeSize Professional 5 during scanning. Changes on these settings usually require a rescan of the currently scanned drives and folders to take effect.

Follow External Mount Points and Symbolic Links | You can decide if TreeSize Professional 5 should follow symbolic links and mount points (see Notes on NTFS for additional information) that point to other drives or folders on other drives. Links that point within the scanned directory will never be followed in order to prevent circular references and folders from being counted twice. This option will be used in the File Search as well.
Track NTFS Alternate Data Streams and Hard Links | With this option you can control, if TreeSize Professional 5 should check each file if it is just a hard link to another file or if contains alternate data streams (ADS). The will result in more accurate results for the allocated space, but will also slow down the speed of a scan.
Show Error Messages | Use this option to decide if TreeSize Professional 5 should show error messages during scanning. If you for example scan a network drive on a Windows server and don't have reading access to all folders, Windows will pop up an error message for every unreadable folder. If you don't want the scanning process interrupted by these message boxes, deselect this check box.
Create Statistics on File Extensions | If this check box is activated TreeSize Professional 5 will additionally generate a statistics for the file extensions in each subtree. The results can be viewed on the "Extensions" tab of the main window, where you are also able to filter the values in the directory tree by one file type.
Create Statistics on File Owners | If this check box is activated TreeSize Professional 5 will additionally generate a statistics for the file owners in each subtree. The results can be viewed on the "Users" tab of the main window where you are also able to limit the values in the directory tree to one of the users. Since it is necessary to query the owner of each file, this option will slow down the scanning process if activated.
Thread Priority | Allows to define the priority with which the threads are running that are scanning the hard disk. Idle means that they use the CPU will be used only if no other threads are using it. Idle is a good setting if you want to make sure that a scan with TreeSize Professional 5 has no impact on the performance of the PC or server. The default and recommended value is "lower priority". Choosing higher priority will result in the scan threads having a higher priority than the thread of the user interface, which can make the user interface unresponsive during a scan. This setting is also used for the threads of the TreeSize File Search.
Maximum Number of Threads | TreeSize Professional 5 automatically adjusts the number of threads to the CPU usage. This option lets you define the maximum number of threads that will be started for a scan. If the system load is high, fewer than the maximum number of threads may be started.
User Defined Cluster Size | Use this option to see what the values for allocated and wasted space would be with a different cluster size or file system. Changing this option will require a rescan. This options will not be saved when you exit TreeSize Professional 5 in order to avoid wrong results when using it the next time.


Include/Exclude Tab

Options Dialog - Include/Exclude Tab

The Include/Exclude tab allows you to filter the scanned files and folders:

File Types | If you need information about certain file types only, you can specify a filter here. You may use multiple filters separated with blanks. So if you for example want to see how much space your executable files and their libraries occupy, use the filter "*.exe *.dll" here. If you want to include all files use "*". Changing this option will make a rescan necessary. This options will not be saved when you exit TreeSize Professional 5 in order to avoid wrong results when using it the next time.
Include only Files Created in the Past XX Days | This option is quite self-explanatory and can be useful to calculate the size of backups or to identify "heavy growing" folders.
Include only Files with Archive Bit Set | This option is useful if you are interested in the size of a backup that will be performed on the basis of the Windows Archive Bit.
Excludes | If you want to exclude certain files or folders from scanning, add matching patterns here. A pattern may look like "Windows" or "*.tmp". Files or folders matching one of the specified patterns will be ignored during a scan.


Columns / Export Tab

Options Dialog - Columns / Export Tab

The "Columns" tab allows you to choose the columns that should be visible. You may choose the columns separately for each "output media" (details view, Excel export, printed report, text file, etc.) by first selecting the appropriate entry in the pull-down box on the top. The following columns are available:

Name | The name of the folder or file
Full Path | The full path, including the object's name
Size | The size of the object
Allocated | The space that the object currently occupies on disk (see also: Wasted Space and NTFS Compression)
Files | The number of files in a directory branch
Folders | The number of sub-folders in a directory branch
Wasted | The amount of space that is wasted by the file system (see also: Wasted Space)
% of Parent | The amount of space in percent that a folder or file occupies relative to its parent folder
Last Change | The last change date of the object. TreeSize Professional 5 calculates the last change and last access date more precisely than the Windows Explorer, so the values shown in the Windows Explorer may differ.
Last Access | The last access date of the object
Compr. | The size in percent by which an object has been compressed using the built in compression of the file system (see also: Notes on NTFS)
Owner | The user name that owns a folder or file
CD-ROM Size | The amount of space that an object would occupy on a CD or DVD with ISO file system
Current Date | The current date. This column can be useful if you want to process the collected data, e.g. in a database.
Attributes | The file attributes Readonly (R), Hidden (H), System (S), Archive (A).
File Type | The file type, e.g. "Text file"
Dir Level | The level of an object in the file system. This value can be useful when processing the collected data.
Creation Date | The date at which the object has been created
Path (Without Name) | The full path to object, not containing the object's name
Avg. File Size | The average size of a file in a folder
Permissions | The access permissions of the object in the format: Username1: +/-R +/-W +/-X Username2: ... where "+" means the right is granted and "-" means that the right is denied. "R" stands for read access and "W" for right access. For files "X" means the right to execute, for directories the right to list the directory content.
File Version | The version number that is included in EXE, DLL OCX and similar binary files
Title of Scan | By default the title (volume label and drive letter) of a scan. It can be changed using "Set Title" in the File menu. This value can be useful for archiving purposes.
MS Office Author | This column shows the author information that is extracted from the meta data of the file, taken from MS Office and compatible files.
MS Office Last Save Date | This column shows the date on which the file was saved the last time, taken from MS Office and compatible files. This information is extracted from the meta data of the file.
Hard Links | The number of hard links to a file. Empty in case of folders.
Error | In case a folders could not be scanned, this column will contain the message of the error that occurred.
Note: The column settings of the text export also effect the export to clipboard!

The column that should be visible in the details list can easily be selected by right-clicking on the column header:

Export

Full Export | With this option activated, the whole file system tree that was scanned will be exported or printed.
Expanded Folders Only | Only those parts of the file system tree will be exported that are expanded on the left pane of the main window.
Header Line | Use this option to control if a header line containing the column headers should be added to the exported file or the printed report.
Units | If the check box "Include in Export" is checked, units like "KB", "MB", or "%" will be included in the exported data. Uncheck this option if you would like plain values to be exported. Without the units the thousands separators will also be omitted, which simplifies further processing of exported values. Check the check box "Always Use Byte Values" if you would always like plain byte values to be exported, independent of the currently used unit.
Default Export File | Here you can specify an Excel file into which exported data should be written by default (Professional Edition only).
Column Width | This option is only available for printed reports and allows you to adjust the column width of the column that is currently selected in the list above.


Startup Tab

Options Dialog - Startup Tab

On this tab you can now define what TreeSize Professional 5 should do when it starts without a path to scan. It may scan a list of fix paths, it may scan the paths that were active the last time it was used, or it may simply do nothing, which is the default behaviour.


Shell Extensions

Options Dialog - Shell Extensions

This tab allows you to configure the shell extensions of TreeSize Professional 5 for the Windows Explorer.

Explorer Context Menu | With this option you can decide if TreeSize Professional 5 should appear in the context menu of folders in the Windows Explorer. A click on this menu item will then start TreeSize Professional 5 which will start scanning the selected folder immediately.
Explorer Column | Use this option to enable or disable the "TreeSize" column for the detailed view of the Windows Explorer which shows not only the file sizes but also the folder sizes. If enabled you can control the unit and the number of decimals here. The Explorer column is not supported under Windows Vista because Microsoft removed the interface for adding columns to the Windows Explorer.


Files Ages

This tab allows you to configure the intervals that are used to generate the chart with the files ages. You may change the limit of each interval, add additional intervals using the '+' button, or remove intervals using the '-' button. You can turn off the creation of the File Ages statistics using the check box on top of the list. This will slightly reduce the memory usage of TreeSize Professional 5. Furthermore you can decide if the file ages should be determined based on the last access date, the last change date or the file creation date; the default setting is the last change date.

File Ages Tab Options en


The Menus

· File Menu

· Export Submenu

· Branch Menu

· View Menu

· Sort Menu

· File Search Menu

· Tools Menu

· Context Menu


File Menu

The File menu allows you to select folders for scanning, to remove folders from the TreeSize Professional 5 Window and to print or export the collected data.

Select Directory | Shows a dialog which lets you choose a folder for scanning. After pressing OK TreeSize Professional 5 starts scanning the selected path. You can also enter a path directly into the drive combo box in the toolbar.
Load XML Report | Opens a XML report that has been saved earlier. That way you can view earlier results without performing a whole scan again.
Save XML Report | Save the information of the current file system branch to a XML file. This file can be loaded in TreeSize Professional 5 again or can be used to perform a comparison at a later time. TreeSize Professional 5 ships with a XSLT file that formats the data inside the XML file for output in a browser that supports XSLT processing (e.g. Firefox >V1.0 or Internet Explorer >V5.5). Please note that the information about single files is not saved to the XML because this would increase the size of the XML files too much. Thus only the information about folders is included in the file. If you need reporting on file level, our software SpaceObServer may be useful for you.
Compare With XML Report | Loads a saved XML report and compares it to the current one by "subtracting" the old size information from the current one. That way folders unchanged in size will show up with a size of 0 after the comparison, folders that have grown will have values greater than 0 and will be displayed in red color. Folders that became smaller compared to the loaded report will have negative values and will be displayed in green color. Please note that since the information about individual files is not included in the XML reports, the detailed view will not show the change of the size of individual files.
Export | Only available in the Professional Edition. See chapter Export Submenu.
Set Title | Allows you to set a title for the currently active branch which will be used when the folder data is printed or exported. The default title includes the path of the scanned folder and the volume name of the drive where the folder resides in.
Print Report | Prints a detailed report of the current folder. See Printing.
Print Report for All | Prints a detailed report for all scanned drives / folders in the left pane
Print Chart | Prints the currently visible Chart
Print Folder Contents | Prints a list of all objects in the current folder including the icons, size, date, etc.
Page Setup | Shows the Page setup dialog where you can specify the margins for printing, paper size etc.
Printer Setup | Shows the print setup dialog
Exit | Closes TreeSize Professional 5


Export Submenu

The export of the File menu submenu is only available in the Professional Edition and allows you to export the collected in data in different ways. You may customize the kind of data (columns) that will be exported on the columns tab of the Options dialog. For all ways of exporting applies that only those folders will be exported that are currently visible (expanded) on the left pane of the main window. In the Options you can decide if all folders or just the visible folders should be exported. That way you can control which data will be exported either manually by expanding and collapsing folders or by using the context menu.

Save As Text | Save the collected data to a tab-separated text file
Save as HTML | Allows you to save a report as HTML file which can be viewed with any HTML browser later. HTML files are more easy to read than text files and don't require a special application like MS Excel. If a chart is currently visible in the right pane of the window, then it will be embedded in the HTML file as an image. The HTML file will be UTF8-encoded and thus includes Unicode characters. In the Options dialog a stylesheet file can be set for the HTML export.
Export Data to Excel | Exports the collected data to an MS Excel 97 compatible file
Copy to Clipboard | Copies the data of the current file system branch to the clipboard in text format
Send by E-mail | Sends the current data as a text e-mail via Windows MAPI. This requires that MAPI is configured properly, which can be done in the Control Panel using the applet "Mail".
Customize | Opens the Options dialog which allows to customize the output columns
Copy List of Files | Copies a list of all files in the current folder (and its sub-folders) to the clipboard. You can paste this list to your favorite spreadsheet or word processor. The columns that will be included in the list are determined by the settings for the text export in the Options dialog. Please note that activating the owner or permission column will significantly slow down the export process because querying this information under Windows is a slow operation.


Branch Menu

The main menu bar has a "Branch" menu that contains some actions that can be applied to complete scans / branches.

Update | Rescans the current directory branch completely
Automatic Updates | Allows you to turn automatic updates on or off for the currently selected scan. If automatic updates are turned on TreeSize Professional 5 keeps track of the Windows change notifications and updates the changed folders. It will also update the size of a folder if it gets listed on the details sheet. If you don't want the size information to change after the scan has finished, you should turn off "Automatic Updates".
Expand | The Expand submenu equals the one in the context menu.
Remove From TreeSize | This menu item will remove the currently selected scan from the view.


View Menu

Toolbars | Allows to turn the toolbars on or off
Show Drives Panel | Allows to turn a list with local and remote drives in the lower left corner of the main window on or off .
Decimals | Choose the number of decimals that should be used when TreeSize Professional 5 displays or prints values.

You can choose different types of values for displaying in the tree on the left side:

Size | In this mode the size of the files in a folder including all sub-folders will be shown.
Allocated Space | This will show the amount of space that is allocated on disk for this folder, again including all sub-folders.
Percent | Shows how many percent of the parent folder's size each folder occupies
Wasted Space | Shows the amount of space that is wasted by the file system for the storage of all files in this folder, including all sub-folders
CD-ROM Cluster Size | This mode will show how much space a folder would occupy on a CD-ROM. Please keep in mind that some space on the CD will be needed to store the directory information.
File Count | Shows the number of files in each directory branch.

Use the next menu items to switch between different tab sheets for the right pane of the TreeSize Professional 5 main window:

Chart | Shows a chart on the right side of the window.
Details | Shows a detailed list with all objects in the current folder. For each object, you can see the size, the allocated and wasted space, the number of files, the last access and change date and the percent of the parent folder.
Extensions | Shows a statistic for the currently selected file system branch that shows the size of each file type in this branch.
Users | Shows a statistic for the currently selected file system branch that shows a statistic for the users with the summarized size of all files that he owns.
File Ages | Shows the distribution of the file ages in a bar chart.
Top 100 Files | Shows a list with the Top 100 largest files in the scanned directory or drive.

You can change the way TreeSize Professional 5 displays the sizes using these menu items or the corresponding toolbar buttons.

Values in Bytes | All size values will be shown in Bytes
Values in KB | All size values will be shown in Kilobytes.
Values in MB | All size values will be shown in Megabytes.
Values in GB | All size values will be shown in Gigabytes.
Mixed Units | For each value an appropriate unit (KB/MB/GB) is chosen automatically

To change the main settings of TreeSize Professional 5:

Options

Shows the Options dialog.


Sort Menu

Sorting

Sort by size | The largest folders will be displayed first.
Sort by name | The folders will be sorted alphabetically.
No Sorting | No sorting is done. This can be useful when scanning large folders drives because folders don't permanently change their position.


File Search Menu

This menu starts the TreeSize Professional 5 File Search with one or all search types. For more information please see the chapter "File Search".


Tools Menu

Update all | Rescans all folders which are currently listed in the TreeSize Professional 5 main window. You can update an individual folder through the context menu of this folder.
Group all Scans in a Virtual Root | Using this feature it is possible to group scans under a virtual root folder. This virtual root folder shows a summary of all scans that are part of this group. This way you can merge different scans together e.g. for printing or exporting. You can add or remove scanned paths individually from the virtual root folder using the context menu.
TreeSize File Search | Shows the "File Search" window which allows to search for obsolete files
Start TreeSize as Administrator | This menu item, which is only available under Windows Vista, will start TreeSize again with full administrative privileges.
Schedule TreeSize Scan | Opens a window that helps you to schedule scans
Add/Remove Software | Opens the "Add/Remove Software" applet of the control panel
Empty Recycle Bin | Empties the recycle bin of Windows
Connect Network Drive | Opens a window that allows you to connect a network drive to a drive letter (Professional Edition only)


Context Menu

File System Tree

When you right-click on a folder or file in the tree on the left, TreeSize Professional 5 will display the Explorer context menu. Additionally you will find the following menu items in the TreeSize Professional 5 submenu.

Apply NTFS Compression | Compresses the entire directory branch using NTFS Compression. TreeSize Professional 5 updates its statistical data while it compresses the branch. This operation can take a long time, depending on the amount of data that needs to be compressed.
Decompress | Decompresses all files in the selected directory branch for which NTFS compression is turned on. This operation can be used to reverse the above operation.
New Folder | Creates a new folder in the selected folder
Expand | See below
Update this Branch | Updates the statistical data for the selected subdirectory. This is usually faster than updating the whole directory.
Update this Folder (non recursively) | Reads the contents of this directory again and updates the statistics, but does not recurse into subfolders.
Find Deepest Nesting | Searches the folder with the deepest directory level. This can be useful to find folders that violate the path limit of Windows of 255 characters.
Remove from TreeSize (Temporarily) | Using this menu item you may remove a folder from TreeSize Professional 5 and its calculations. The removal is only temporary, the folder will not be deleted physically from the disk. Thus it will show up again during the next scan.
Search with TreeSize File Search | Opens the TreeSize Professional 5 File Search and makes this folder the active folder for searches.
Copy Branch Data to Clipboard | Copies the collected statistical data of all folders in the selected directory branch to the clipboard
Copy List of Files | Copies a list of all files in the selected directory branch to the clipboard
Copy Full Path to Clipboard | Copies the path of the current directory to the clipboard as text.

The topmost item of each scanned folder has a different context menu which looks like this:

Open | Opens the selected folder in a simple Windows Explorer window
Explore | Opens the selected folder in a Windows Explorer window with directory tree on the left
Properties | Shows the Properties dialog of the folder or drive
New Folder | Creates a new folder
Windows Explorer | Shows the Context menu of the Windows Explorer for the scanned folder or drive.
Update | Rescans the current directory branch
Update this Folder (non recursively) | Reads the contents of this directory again and updates the statistics, but does not recurse into subfolders.
Expand | See below
Export data | See "Export Submenu"
Find Deepest Nesting | Searches the folder with the deepest directory level. This can be useful to find folders that violate the path limit of Windows of 255 characters.
Merge in Virtual Root | Using this feature it is possible to group scans under a virtual root folder. This virtual root folder shows a summary of all scans that are part of this group. This way you can merge different scans together e.g. for printing or exporting.
Remove From TreeSize | This menu item will remove the currently selected scan from the view.
Search with TreeSize File Search | Opens the TreeSize Professional 5 File Search and makes this folder the active folder for searches.
Scan Always on Startup | If this Option is is activated, TreeSize Professional 5 will start scanning this folder if it is started and no other paths are passed on the command line or from the Explorer context menu.

The Submenu "Expand"

Full Expand | Expands the selected folder and recursively all its sub-folders
To Level X | Selecting this menu item will show the first x levels of the current folder
Expand Folder over | This menu item allows you to expand only those folders in the tree which are larger than a certain size.
Remove Folder <xxxMB | Selecting this menu item will remove all folders which are smaller than a certain size from the directory tree.
Set Size | Allows you to specify the folder size for the above two operations

Context Menu on the "Details" tab

The list on the "Details" tab shows the Windows Explorer context menu when you right-click on an item. Additional a submenu labeled "TREESIZE" is included which shows all information that is available about the selected item including the columns that are currently not activated. This submenu may also be used to activate or deactivate columns.


File Search

· The File Search Window

· File Search Menu

· File Search Options

· Biggest File Search

· Oldest File Search

· Temporary File Search

· Internet File Search

· Duplicate File Search

· Custom File Search

· Moving found files


The File Search Window

The "File Search" window allows you to search for big, old and temporary files. You will find the following tabs on the top of the window:

Biggest Files | This page allows to search for the biggest files on your hard disk. You can specify a minimum size in kilobytes or megabytes. All files larger than this value will be shown in the list.
Oldest Files | This page allows you to search for files that have not been changed or accessed since a certain date. You can limit the search to entire folders. In this case only folders will be listed in which all files match the search criteria. This allows you to identify branches of the file system that are not in use any more.
Temporary Files | This page allows you to search for temporary files. Use the "Configure" Button to customize the settings of the Temporary File Search.
Internet Files | This page allows you to search for temporary internet files like the files in the cache of the browsers Netscape Navigator and Internet Explorer. The search for temporary internet files can be automated with the command line option /SEARCH:Internet.
Duplicate Files | This page lists files which are on your disk more than once. You can choose if duplicates should be indicated by equal name, size and last change date, or by a compare of the md5 checksum of their content. Comparing the file content provides more accurate results, but the search will take longer. A minimum size speeds up the compiling of the list and prevents you from looking through many small files. A check box allows to control whether or not the exclude filter should be used. The context menu offers the possibility to replace duplicate files with hard links.
Custom Search | This page allows you to define a fully customizable file search. You can filter by filename, date, size, attributes and owner.
Scan Options | Here you can choose which drives and which of the above search types will be included in the search. You can add additional paths to the list by pressing the button below the list. All checked drives will be included in the search. Network drives are only supported in the Professional Edition.

You will find the following buttons on the right side of the window:

Start

This button will start the search. You can now already look at the partial search results by selecting one of the tabs. You will hear an acoustical signal when the search is finished.

Stop

Stops the currently running search

Save Results

This button allows you to save the search result of the currently active search type to a text or CSV file. The save dialog has an option to save all result lists (instead of the active one only), and an option to save the checked files only. Only the currently visible columns will be saved.

Move Checked

This button allows you to move all files in the lists which are check-marked to the left of their file name to a position in the file system that you may specify.

If you choose a file system location all files will be moved there under preservation of the file system structure. You may also move the checked files to a ZIP file. Optionally all performed operations can be written to a log file.

TIP: You can easily check a group of files by keeping the space bar pressed or by selecting multiple files with the Shift or Ctrl key and then use the context menu.

With the File Search Menu items you can save and load your search settings (File menu), start and abort searches (Search menu) or customize the information shown in the result lists (View Options).


File Search Menu

File

Load Search Options... | Loads previously saved search options from a XML-file.
Save Search Options.... | Saves the current search options in a XML-file.
Reset Search Options | Resets the current search options to their default values.
Save Results... | Saves the results of the latest search.
Export Paths... | Exports search paths in a txt-file.
Import Paths... | Imports search paths from a txt-file.
Exit | Exits the program

Search

Start Searching | Starts the file search.
Stop Searching | Stops the file search.
Move Checked Files | Moves check-marked files to a destination of your choice. Every movement can be logged.

View

Visible Columns | Let you set the visible columns in the search result list field. They include :
Path | - the path of a file
Size | - the size of a file
File Type / Matching Criteria | - the file type or other matching criteria you looked for
Last Access | - the date of the last access
Last Change | - the date of the last change
File Owner | - the user name of the file owner. Please Note : Querying file owners is a slow operation under Windows and can be turned off here if not needed.
Size Unit | Determines the unit, in which file sizes will be mentioned
Bytes | - all sizes are given in Bytes
KB | - all sizes are given in Kilobytes
MB | - all sizes are given in Megabytes
GB | - all sizes are given in Gigabytes
Mixed Units | - uses the next appropriate size unit
Decimals | Determines the number of decimals shown in a displayed number
0 | - shows no decimals
1 | - shows one decimal
2 | - shows two decimals
3 | - shows three decimals
Compressed Files | Determines, if shown file sizes are based on normal file sizes or on compressed file sizes.
Use File Size | - uses normal file sizes
Use Compressed Size | - uses compressed file sizes
Show Long Tooltips in Lists | Enables long tooltips in lists

Tools

Empty Recycle Bin

Empties the Recycle Bin (the trash folder).

Help

File Search Help | Opens the FileSearch specific Help file
File Search F.A.Q. | Opens the FileSearch specific F.A.Q.
Check for Update... | Checks for a newer version of TreeSize
About... | Provides information about TreeSize


File Search Options

The tab Scan Options allows you to configure the file search in different ways.

Drives and Paths to include

Use the check boxes in front of each drive to select which paths should be searched by the file search. You can add additional paths and network drives using the buttons below the list. The first button will allow you to type in a path, the second one will open a folder browser dialog.

You can search entire servers or PCs by using their UNC name like \\SERVER. You can search your entire domain by using its UNC name, e.g. \\DOMAIN. You can even search you entire network by choosing the network neighborhood of Windows in the directory browser that appears after pressing "Browse and Add Path". TreeSize Professional 5 automatically browses for PCs and all shares on them (including hidden shares) and performs the search on all shares that it finds.

Enabled Search Types

Use the check boxes in front of each item to enable or disable certain search types. Each search type will be represented by a separate register.

Files / Folders to Exclude

The file search was designed to identify obsolete or very large files in order to clean up a system. Certain files like system files should however not be deleted because they are necessary for the operating system or other software to run. Files known to be important for a system can be added to the exclude list here and will then not be shown in the results any more. New entries in this list can be easily added using the right click menu of the result lists.

Additionally you may exclude files that have been changed in the past hours. If a file has been changed recently there is a high probability that the file is not truly obsolete.

Please note: This option will by default NOT be applied to the duplicate file search and to the custom file search. However, you can enable it by check-marking the corresponding check-boxes on the registers of the duplicate search and the custom file search.


Biggest File Search

This page allows to search for the biggest files in your selected path(s) / drive(s). You can specify a minimum file size in kilobytes or megabytes. All files larger than this value will appear in the search result list.

Search for files bigger than...

Defines the minimum size for wanted files.

Like in all searches, you can move all files in the result list which are check-marked to the left of their file name, to a position in the file system that you may specify., by using the Move Checked button.


Oldest File Search

This page allows you to search for files in your selected path(s) / drive(s) that have not been changed or accessed since a certain date. You can limit the search to entire folders. In this case only folders will be listed in which all files match the search criteria. This allows you to identify branches of the file system that are not in use anymore.

Search for files [not changed / not accessed] | Chooses, for what kind of files you are looking. Files may have the status "accessed", but their content can remain unchanged nonetheless.
since | Defines, how long a file had remained in this special status.
Return complete folders only | Returns as result only folders, which (including all sub-folder and files) were not accessed/changed since the given date.

Like in all searches, you can move all files in the result list which are check-marked to the left of their file name, to a position in the file system that you may specify., by using the Move Checked button.


Temporary File Search - Configuration

This page allows you to search for temporary files. Use the Configure button to customize the settings of the Temporary File Search.

Patterns

The main part of the Temporary File Search is based on typical filename patterns. You may customize these patterns using the Customize button on the top of the Temporary File Search. You may change or delete existing patterns as well as add new patterns. Using the check boxes on the left, you can deactivate certain patterns without deleting them.

WIldcards for pattern building

* | Replaces none or arbitrarily many alphanumeric characters
? | Replaces exactly one alphanumeric character

Include files with temporary attribute | Applications that create a temporary file may inform the operating system with a special flag about this fact. With this check box activated TreeSize Professional 5 will include such files in the search results.
Include files that do not belong to a valid account | If a Windows account is deleted, files belonging to this account are not deleted automatically and may keep occupying space on the hard disks. With this check box activated TreeSize Professional 5 will include such files in the search results. Since it is necessary to get the owner of each file on the searched disks, activating this option will slow down the scanning process.
Include Links without a valid target path | With this check box activated TreeSize Professional 5 will check for .LNK and .PIF files, if the destination path exists. If this is not the case such a file will be included in the search results.
Include Shortcuts from Recent Document Folder | If activated, TreeSize Professional 5 will check for shortcuts from the recent documents folder.

Edit | Edits the pattern selected in the list field on the left.
Add | Adds a new pattern into the list field on the left
Delete | Deletes the pattern selected in the list field on the left.

Like in all searches, you can move all files in the result list which are check-marked to the left of their file name, to a position in the file system that you may specify., by using the Move Checked button.


Internet File Search

This page allows you to search for temporary internet files like the files in the cache of the browsers Netscape Navigator and Internet Explorer. The search for temporary internet files can be automated with the command line option /SEARCH:Internet.

Include cookies | Lets FileSearch also scan cookies.
Check all | Check-marks all found files for moving.

Like in all searches, you can move all files in the result list which are check-marked to the left of their file name, to a position in the file system that you may specify, by using the Move Checked button.


Duplicate File Search

This page lists files which are on your disk more than once. You can choose if duplicates should be indicated by equal name, size and last change date, or by comparing the md5 checksum of their content. Comparing the file content provides more accurate results, but the search will take more time. A minimum size speeds up the compiling of the list and prevents you from looking through many small files. A check box allows to control whether or not the exclude filter should be used.

The context menu offers the possibility to replace duplicate files with hard links. This feature will replace all but one of the selected duplicates by a hard link to the one remaining file. This will reduce the used disc space, because only the size of one file will be allocated. There will not be any hard disc space allocated to hard links and you can use them just as normal files.

Please note: Replacing files by hard links will only be possible for files located on the same NTFS hard disks.

Minimum Size in KB | Defines the minimum size for files, that are subject to the duplicates search.
Compare [using MD5-Checksum / Size, Name and Date] | Defines, if files should be compared by using MD5 check-sums, or just by checking for the same file size, file name and (creation) date. Note: When using MD5 check-sums empty files are ignored, because there is no content to compare.
Use Exclude Patterns | If checked, FileSearch will use the defined exclude patterns in its search.
Ignore NTFS hard links | If checked, FileSearch will ignore NTFS hard links, which will speed up the search.

Like in all searches, you can move all files in the result list which are check-marked to the left of their file name, to a position in the file system that you may specify., by using the Move Checked button.


Custom File Search

This register allows you to define a fully customizable file search. You can filter by

· file name

· date

· size, attributes

· owner


Custom File Search - Search for File Names

This sub-tab allows to define a customized file search for file names / file name patterns.

Use Exclude Patterns | Advises the program to use the list of excluded file name patterns. Files with a matching file name will be excluded from the search.
Search Subfolders | Advises the program to search not only the current folder but also all sub-folder of the current folder.

The ListBox, the text field and the two buttons to the the registers top right manages the search list for the customized file name search.

Add | Adds the pattern entered into the text field to the list of search patterns.
Remove | Removes a selected pattern from the list of search patterns.

WIldcards for pattern-building of file names :

* | Replaces none or arbitrarily many alphanumeric characters
? | Replaces exactly one alphanumeric character

Like in all searches, you can move all files in the result list which are check-marked to the left of their file name, to a position in the file system that you may specify., by using the Move Checked button.


Custom File Search - Search for File Dates

This sub-tab allows to define a customized file search for files by looking for last change date / last access date / creation date. The searched time period can be determined by defining an interval between given dates or by defining a duration relative to the current date.

Defining a time period can be done by :

- stating a start date and an end date; the filters will find only files, with a matching date within these boundaries.

- stating only a start date; the filters will only find files, with a matching date past the given date.

- stating only an end date;the filters will only find files, with a matching date before the given date.

- stating, since how many days must have passed since the file was (not) changed / (not) accessed / (not) created.

Changed / Not changed | Looks for files, that were changed / not changed within a given period.
Accessed / Not accessed | Looks for files, that were accessed / not accessed within a given period.
Created / Not created | Looks for files, that were created / not created within a given period.
between... and.... | Limits for time intervals.
Since... | Defines a duration, measured in days before today, that a file were (not) changed / (not) accessed / (not) created.

Like in all searches, you can move all files in the result list which are check-marked to the left of their file name, to a position in the file system that you may specify., by using the Move Checked button.


Custom File Search - Search for File Sizes and Attributes

This sub-tab allows to define a customized file search for files of a certain size / file with certain file attributes.

Minimum File Size | Sets the minimum file size of wanted files. The associated combo-box determines the unit size of the numerical specification.
Maximum File Size | Sets the maximum file size of wanted files. The associated combo-box determines the unit size of the numerical specification.

Read only | Looks for the "read only" attribute in files.
Hidden | Looks for the "hidden" attribute in files.
System | Looks for the "system" attribute in files.
Archive | Looks for the "archive" attribute in files.
Compressed | Looks for the "compressed" attribute in files.
Encrypted | Looks for the "encrypted" attribute in files.
Offline | Looks for the "offline" attribute in files.
Temporary | Looks for the "temporary" attribute in files.
Alternate Data Streams | Lists only files that have NTFS alternate data streams

Like in all searches, you can move all files in the result list which are check-marked to the left of their file name, to a position in the file system that you may specify., by using the Move Checked button.


Custom File Search - Search for File Owners

This sub-tab allows to define a customized file search for files of a certain owner / files, with a certain owner name pattern.

The ListBox, the text field and the two buttons to the left of the registers top right manages the search list for the customized files owner name search.

Add | Adds the pattern in the text field to the list of search patterns.
Remove | Removes a selected pattern from the list of search patterns.

WIldcards for pattern-building of file owner names :

* | Replaces none or arbitrarily many alphanumeric characters
? | Replaces exactly one alphanumeric character

Like in all searches, you can move all files in the result list which are check-marked to the left of their file name, to a position in the file system that you may specify., by using the Move Checked button.


Move checked files

This button allows you to move all files in the search result lists which are checked to the left of their file name, to a position in the file system that you may specify. That means, FileSearch will remember check-marked files, even if you switch the register panel.

If you choose a file system location as target for the relocation process, all files will be moved there under preservation of the original file system structure. You may also move the checked files to a ZIP file. Optionally all performed operations can be written to a log file.

TIP: You can easily check a group of files by keeping the space bar pressed or by selecting multiple files with the Shift or Ctrl key and then use the context menu.

Move checked files to Recycle Bin | Moves check-marked files directly to the Recycle Bin. To definitively delete these files, you have to empty the Recycle Bin.
Delete checked files from disk | Deletes check-marked files after a security question.
Move checked files to ZIP file | Moves check-marked files to a ZIP file you specify.
Move checked files to path: | Moves check-marked files to the path you specify. A checkbox allows you to create shortcuts at the original location that point to the new location of the moved objects.
Number of checked objects | States the total number of check-marked objects for your information.
Total size of checked files: | Displays the total size of all check-marked files.
Log performed operations to: | Produces a log file with the name of your choice under the path of your choice.

Logging your file moving / archiving / deleting activities provides lucidity and security for your system maintenance and is highly recommended.

The log produced by TreeSize Professional shows all the necessary details to trace a maintenance act and will be saved in txt-format. A typical log file looks like this :

TreeSize Professional is starting move operation on 30.11.2007 10:50.

Moving the files to: C:\Obsolete\

"C:\WINDOWS\BGInfo.bmp" => "C:\Obsolete\C\WINDOWS\BGInfo.bmp"

"C:\WINDOWS\Help\article.chm" => "C:\Obsolete\C\WINDOWS\Help\article.chm"

Finished at 30.11.2007 10:50.

Freed Space: 7407476 Bytes (7 MB)


Schedule TreeSize Tasks

· Schedule Dialog

· Command Line Options


Schedule Dialog

It is possible to schedule tasks using the "Scheduled Tasks" folder of Windows. The dialog below will help you to create a scheduled TreeSize Professional task with the appropriate command line options. This feature is only available in the Professional Edition.

Path to scan | Enter the path that should be scanned here.
Export | Here you can choose which of the export options that TreeSize Professional supports should be used for the scan. The export options correspond to the command line options.
Options | Here you can specify further options for the scan and activate certain actions that should be executed after the scan.
Scheduler | Specify here when and in which interval the task should be executed.
Command Line | Here you can see the full command line of the task. If you don't want to use the Scheduled Tasks of Windows, then you can copy this command line to the clipboard and use it elsewhere, e.g. in a batch file.

The created command line can now be added to the Scheduled Task of Windows by pressing the "Add Task" button.


Command Line Options

The Professional Edition of TreeSize accepts command line options which allow you to do scheduled scans or to have the results of a scan on your monitor the next morning. The Schedule dialog will help you to compile a command line with the option below. These option are not available in the Personal Edition.

treesize.exe [/ARCHIVEBITFILESONLY] [/(BAR|PIE)CHART filename] [/COMPARE filename] [/DATE] [/EMAIL] [/EXCEL filename] [/EXPAND [level|xxMB]] [/EXTENSIONSLIST filename] [/FILEAGESCHART filename] [/FILTER pattern1;pattern2;...] [/GROUPSCANS] [/FOLLOWREPARSEPOINTS] [/HTML filename] [/HISTORYCHART filename] [/MOVETOZIP filename] [/NOGUI] [/OPEN] [/PRINT] [/SAVE filename] [/SEARCH[:Start [xmlfile]|:Internet] ] [/SIZEUNIT N] [/TITLE text] [/USERSLIST filename] [/XML filename] Directories

/ARCHIVEBITFILESONLY

This option will include only files in the scans which have the archive bit set. This option can be very useful if you want to calculate the size of a backup. In this case, you can create a shortcut on your desktop or in your start menu that will automatically start calculating the size of your backup:

treesize /ARCHIVEBITFILESONLY \\Server\Backup\This

/BARCHART

Saves the bar chart of the scanned directory to a bitmap, GIF or JPEG file. The file type depends on the extension of the specified file name. This example creates a JPEG image of the bar chart for drive C:

treesize /BARCHART C:\Documents\c.jpg C:\

/COMPARE

Compares the scanned path with a saved XML report. The following example scans drive C: and compares the result with a saved XML report for this drive:

treesize /COMPARE "C:\temp\TSP XML\c.xml" C:\

Alternatively, you can compare two already saved XML reports e.g. "c1.xml" and "c2.xml" by using this command :

treesize /OPEN "C:\temp\TSP XML\c1.xml" /COMPARE "C:\temp\TSP XML\c2.xml"

The /OPEN command prepares the comparison of the two files by expanding the first file ("c1.xml" into a scan file. The second file ("c2.xml") will be compared to this expanded scan file, just like it would happen, if we would compare "c2.xml" to a "real" scan.

/CREATEDPASTDAYSONLY

This option will include only files in the scans, which were created during the past number of days, that are given in the argument.

treesize /CREATEDPASTDAYSONLY 8

Here, this option will only include files into the scan, which were newly created during the last 8 days.

It corresponds to the option "Include only Files Created in the Past XX Days" in the Options dialog.

/DATE

This switch will add the current date to all file names occurring after it on the command line. This is useful if you want to do scans regularly every night or every weekend. If you want the date included in all filenames, then /DATE should be your first command line option. The following example will scan the network path \\host\share and save the result to a file like C:\scans\name_03-12-20_1550.xls:

treesize /DATE /EXCEL C:\scans\name.xls \\host\share

/EMAIL

Sends the collected data to the given e-mail address using MAPI. Your e-mail application must be configured properly for MAPI. Multiple recipients can be separated with semicolons or commas. Example:

treesize /EMAIL sysadmin@company.com \\SERVER\C$

If MAPI is not sufficient for you, we recommend to save the data to a file and use a command line based mailing tool like the free BLAT.

/EXCEL

Exports the collected data to Excel and saves it under the given file name. If the file name already exists, the file will be opened and a new sheet will be added. The application will terminate itself after saving. Example:

treesize /EXCEL C:\Documents\c.xls C:\

/EXCLUDE

This option allows to specify patterns for files and folders that should be excluded from a scan. Multiple exclude patterns can be separated using a semicolon. If one or more of the patterns contain spaces, the complete pattern string must be set into quotes. This command line option is equal to the Exclude list in the Options dialog. The following example will ignore folders that end with ".001" and folders that are named ".system":

treesize /EXCLUDE "*.001;.system" \\server\Users

/EXPAND

This option lets you specify how many levels in the directory tree will be expanded after scanning. If you don't specify a number, all folders will be expanded. Instead of a directory level you can also indicate an amount in MB. In this case all folders larger than the given amount will be expanded. The unit "MB" must follow the number without a blank. The following example will scan the folder "H:\user", expand all folders larger than 10MB and save the result to the Excel file C:\Results\Allusers.xls:

treesize /EXCEL C:\Results\Allusers.xls /EXPAND 10MB H:\user

/EXTENSIONSLIST

This option allows you to save the statistics on file extensions / file types of the scanned file system branch to a text or CSV file. The following example scans drive C: and creates a CSV file in "C:\Temp" with the statistics of the file types on this drive:

treesize /EXTENSIONSLIST C:\temp\C_filetypes.csv C:\

/FILEAGESCHART

Saves the chart on the "File Ages" tab of the scanned directory to a bitmap, GIF or JPEG file. The file type depends on the extension of the specified file name. This example creates a JPEG image of the bar chart for drive C:

treesize /FILEAGESCHART C:\Documents\c_file_ages.jpg C:\

/FILTER

Allows to set a file filter so that only files with certain extensions, e.g. .MP3 or .DOC, will be counted. Multiple patterns may be passed, you can use spaces, commas or semicolons as separator between the patterns. The following example will search for AVI and MP3 files in the users directory on the server:

treesize /EXCEL C:\Results\MediaUsers.xls /FILTER "*.mp3;*.avi" \\Server\Users

When performing a File Search, you can also use the /FILTER command line switch to specify the patterns for the Temporary File Search.

/FOLLOWREPARSEPOINTS

When adding this switch to the command line, TreeSize Professional 5 will follow mount points and symbolic links when scanning a file system tree.

/GROUPSCANS

Using this command line switch will group all scanned directories under a virtual root folder.

/HISTORYCHART

Saves the chart on the "History" tab of the scanned directory to a bitmap, GIF or JPEG file. The file type depends on the extension of the specified file name. This example creates a JPEG image of the bar chart for drive C:

treesize /HISTORYCHART C:\Documents\c_history.jpg C:\

/HTML

Saves the collected data to a HTML file which can be viewed with any HTML browser later. If you also have a /PIECHART or /BARCHART parameter in your command line, the image will be included in the HTML file. The following example will generate an HTML report for the drive C: and saves it to D:\html:

treesize /DATE /HTML d:\html\treesize.html /PIECHART d:\html\treesize.jpg C:\

If you would like to scan and export multiple drives or folders, we recommend that you either use one call for each drive or folder, or that you use the command line option like in the following example:

treesize /HTML d:\html\drive-c.html /PIECHART d:\html\drive-c.jpg C:\ /HTML d:\html\drive-d.html /PIECHART d:\html\drive-d.jpg D:\

/MOVETO

Allows to move the results of a file search to a ZIP file, another path or the recycle bin. It can only be used in connection with a /SEARCH:Start command line option. To move the files to the recycle bin, specify the name of the recycle bin as seen in the Windows Explorer. The following command will search drive C:\ for internet cache files and move them to a ZIP file called ObsoleteFiles.zip:

treesize /SEARCH:Internet /MOVETO C:\temp\ObsoleteFiles.zip C:\

The second will use the previous search options and move all files that were found on Drive C: to a path E:\Obsolete Files:

treesize /SEARCH:Start /MOVETO "E:\Obsolete Files" C:\

/NOGUI

No window will be shown and the application will not appear in the task bar. Useful for background scans. Caution: Use this switch only if you have tested the rest of the command line options because error messages cannot be displayed in this mode. However, it tries to log errors in the event log of Windows. Make sure that this is the first command line switch when using it.

/OPEN

Opens a saved XML report on application start. Example:

treesize /OPEN C:\Reports\Drive_C.xml

/PIECHART

Saves the pie chart of the scanned directory to a bitmap, PNG or JPEG file. The following example will scan the drives C:\ and D:\ and produce a chart for each one in PNG format:

treesize /PIECHART C:\Temp\c.png C:\ /PIECHART C:\Temp\d.png D:\

/PRINT

Prints a report for the scanned folder to the default printer. The application will be terminated after printing. Usage example:

treesize /PRINT C:\ D:\

/PRINT1

Prints only the first page of a report for the scanned folder to the default printer. The application will be terminated after printing. Usage example:

treesize /PRINT1 \\SERVER\USERS

/RESTRICTED

Starts TreeSize Professional 5 in a "readonly" mode in which the user does not have access to Explorer context menu, may not rename or delete files or folders and the buttons for the Software applet and to connect a network drive are not available in the tool bar.

/SAVE

Saves the results to a text or CSV file after scanning or searching is finished. The application will terminate itself after saving. This example will save the results of the File Search to a CSV file:

treesize /SEARCH:Start /SAVE C:\Results\c.csv C:\

/SEARCH

Opens the File Search window of TreeSize Professional 5. If ":Start" is added to this command line option, the search is started immediately with the settings used the last time. Files that are added to the result lists will be checked automatically. A previously saved XML file containing settings may be passed, these settings will then be used to perform the search. The next example performs the search with settings that have previously been saved to the file SearchSettings.xml and save the results:

treesize /SEARCH:Start /SAVE T:\result.txt SearchSettings.xml

If ":Internet" is added to this command line option, it will start searching for temporary internet files and delete them. The drives activated during the last regular scan will be scanned, a special set of drives and paths can be specified on the command line (separated with blanks). Usage example:

treesize /SEARCH:Internet

The settings of the last performed file search will be used. However, you can specify the search patterns for the temporary file search using the /FILTER command line option. Tip: You can use the /SAVE command line option to save the results of the file search to a text or CSV file.

/SIZEUNIT N

This option can be used to specify the unit that should be used for displaying size values: N can have the values 0 to 4 which mean: 0 = Bytes, 1 = KB, 2 = MB, 3 = GB. Without this option the value will be used that was set the last when the TreeSize File Search was used.

/TITLE

Can be used to change the title of the printed or exported report. That allows you to supply additional information to the user when using TreeSize Professional 5 in an automated environment.

treesize /TITLE "This is drive C on Server3" /PRINT \\Server3\C$

/TOPFILESLIST

This option allows to save the contents of the Top 100 list to a text file.

treesize /TOPFILESLIST C:\temp\C_top_files.txt C:\

/USERSLIST

This option allows you to save the statistics showing the results grouped by username to CSV file. The following example scans drive C: and creates a CSV file in "C:\Temp" with the statistics of the users on this drive:

treesize /USERSLIST C:\temp\C_users.csv C:\

/XML

Saves the results to a XML file that can be loaded again later and can be used for comparisons

treesize /XML C:\Results\Allusers.xml H:\users\

Directories

At the end of the command line, you may pass one or more paths that should be scanned by TreeSize Professional 5. The wildcards "*" and "?" are allowed. Example:

treesize H:\users\A*

To start one instance for each folder, you may use the Windows for-command like this:

for /D %i in (C:\Windows\S*) do @start /w treesize.exe %i

In case an error occurs, it will be returned as Windows error code in the exit code of the process.

Scanning Multiple Directories

If you need to scan multiple directories, it can be a good idea to merge several calls in a Batch file, for example:

"C:\Program Files\JAM Software\TreeSize Professional\treesize.exe" /EXCEL D:\Share1.xls \\Server\Share1

"C:\Program Files\JAM Software\TreeSize Professional\treesize.exe" /EXCEL D:\Share1.xls \\Server\Share1

"C:\Program Files\JAM Software\TreeSize Professional\treesize.exe" /EXCEL D:\Share1.xls \\Server\Share1

It is also possible to store the shares that should be scanned in a text file and use the FOR command:

FOR /F "tokens=1" %%i IN (dir.txt) DO treesize.exe /NOGUI /EXPAND 10MB /excel c:\temp\%%i.xls /exclude ~snapshot \\Server\%%i

Scheduled Start

You can use the "Scheduled Tasks" folder of Windows to run TreeSize Professional daily at a certain time, the Schedule dialog of TreeSize Professional will help you setting up a scheduled task.

You can also use the at command to perform scheduled scans. If you for example want to scan the drives C: and E: next night at 03:00 a.m. and save the results to an Excel file, you must enter the following on the command line:

at 03:00 "C:\Program Files\JAM Software\TreeSize Professional\treesize.exe" /EXCEL c:\temp\tsp.xls /EXPAND 2 c:\ e:\

If you want to see the results of the file search on your screen when you come into your office in the morning, you should enter something like:

at 06:00 /INTERACTIVE "C:\Program Files\JAM Software\TreeSize Professional\treesize.exe" /SEARCH:Start

Read more about the at command in the Windows help. Error messages occurring during scheduled scans are listed in the Event Log of Windows.

Windows Scripting Host

If you intend to use the Windows Scripting Host (WSH), your command to start TreeSize Professional will look like:

Set Shell = CreateObject("WScript.Shell")
Shell.Run """C:\Program Files\TreeSize Professional\treesize.exe"" /XML c:\temp\drive_c.xml c:\"


Copyright & Contact

 Home Previous

Copyright ©1996-2007 by Joachim Marder

JAM Software GmbH
Max-Planck-Str. 22
54296 Trier
Germany

FAX: | +49-700-70707059
WWW: | http://www.jam-software.com
Support: | http://www.jam-software.de/customers/contact.php
E-Mail: | treesize@jam-software.com
VAT ID No.: | DE234825349
Commercial Register No.: | HRB 4920 (AG Wittlich)
Managing Director: | Joachim Marder